#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x81c256e1, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x89e403a4, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x0f0eb8fc, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0xec014964, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0xd2b38e78, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0xa5d184a2, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x22dbdcd7, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x3bd9cae7, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0x9c0921ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xfb578fc5, "memset" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x5e1cc4b5, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x4186ed1b, "_dev_warn" },
	{ 0xef07c04, "hid_hw_open" },
	{ 0x50446a4, "_dev_err" },
	{ 0x99e7c4ef, "hid_hw_close" },
	{ 0xc8f3ed78, "__hid_register_driver" },
	{ 0x20c4604a, "__dynamic_dev_dbg" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x65b45cb, "complete" },
	{ 0x8c0de4f1, "hid_hw_stop" },
	{ 0x92748d2, "mfd_remove_devices" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xf6048616, "hid_unregister_driver" },
	{ 0x601f1fc1, "devm_kmalloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x8d0c36a8, "hid_open_report" },
	{ 0x6c5a0990, "hid_hw_start" },
	{ 0xdc635ab7, "devm_kasprintf" },
	{ 0x9f56d465, "mfd_add_devices" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbcb48270, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "26CD68B7B252D683FA2705F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
