#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x97c60807, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x902fa6df, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x8c2229db, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0xe68a03b6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6fcac2, "__pm_runtime_use_autosuspend" },
	{ 0xb43de724, "__pm_runtime_suspend" },
	{ 0x5a7ee412, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x473efc82, "iio_trigger_unregister" },
	{ 0xa69cc1f9, "iio_trigger_free" },
	{ 0xd5294c43, "iio_triggered_buffer_cleanup" },
	{ 0x3cc77d62, "__pm_runtime_disable" },
	{ 0x9c0921ef, "sensor_hub_device_close" },
	{ 0xa5d184a2, "hid_sensor_get_usage_index" },
	{ 0xec014964, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0eb8fc, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3bd9cae7, "sensor_hub_device_open" },
	{ 0x90c97869, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2194bc09, "hid_sensor_set_report_latency" },
	{ 0x24bb3491, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0xadfcb83a, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xe566abdc, "iio_triggered_buffer_setup_ext" },
	{ 0xb81775dc, "iio_device_id" },
	{ 0x8d6e5433, "__iio_trigger_alloc" },
	{ 0x6eb38c48, "iio_trigger_register" },
	{ 0x24824794, "get_device" },
	{ 0x6a95ed78, "__module_get" },
	{ 0x5075c702, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x50446a4, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7b752c95, "pm_runtime_enable" },
	{ 0xa87311bc, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "10020F6F33148E98120D4D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
