#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iwcm_reject_msg, "", "");
KSYMTAB_FUNC(iw_create_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_disconnect, "", "");
KSYMTAB_FUNC(iw_destroy_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_listen, "", "");
KSYMTAB_FUNC(iw_cm_reject, "", "");
KSYMTAB_FUNC(iw_cm_accept, "", "");
KSYMTAB_FUNC(iw_cm_connect, "", "");
KSYMTAB_FUNC(iw_cm_init_qp_attr, "", "");

SYMBOL_CRC(iwcm_reject_msg, 0xf3df871f, "");
SYMBOL_CRC(iw_create_cm_id, 0xe9ff622d, "");
SYMBOL_CRC(iw_cm_disconnect, 0xaf8db8c4, "");
SYMBOL_CRC(iw_destroy_cm_id, 0xd3a1e51f, "");
SYMBOL_CRC(iw_cm_listen, 0x41c9b526, "");
SYMBOL_CRC(iw_cm_reject, 0x62219cb0, "");
SYMBOL_CRC(iw_cm_accept, 0x1b7d6b3d, "");
SYMBOL_CRC(iw_cm_connect, 0xa7fa1f67, "");
SYMBOL_CRC(iw_cm_init_qp_attr, 0xec82722c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e811e0e, "finish_wait" },
	{ 0xbfc97bdc, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xed123007, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc82f18c, "rdma_nl_unicast" },
	{ 0x75a729a0, "rdma_nl_unregister" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2546bc1c, "rdma_nl_multicast" },
	{ 0x9083fb6e, "init_net" },
	{ 0x32a460e8, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe75784d, "ibnl_put_attr" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xeb0068d, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe476a0ca, "ib_modify_qp" },
	{ 0x6c6b8778, "rdma_nl_unicast_wait" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0x275f9364, "proc_dointvec" },
	{ 0x9c4672d9, "unregister_net_sysctl_table" },
	{ 0x754d539c, "strlen" },
	{ 0x805dfb67, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x5bf57b48, "rdma_nl_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdb8377cb, "down_timeout" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaa1b0d24, "ibnl_put_msg" },
	{ 0x99b7232a, "consume_skb" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "E0F7EC9813D87E74172DB24");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
