#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0x97edc752, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0xb3144116, "");
SYMBOL_CRC(cx88_risc_databuffer, 0x69fab921, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x20fe0f52, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0xdfe7b9d9, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x73dc9fb1, "");
SYMBOL_CRC(cx88_wakeup, 0xe4ca1a9b, "");
SYMBOL_CRC(cx88_shutdown, 0xb9106fa4, "");
SYMBOL_CRC(cx88_reset, 0xb9075207, "");
SYMBOL_CRC(cx88_set_scale, 0x249d9b7d, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x87b177c1, "");
SYMBOL_CRC(cx88_vdev_init, 0xaa73e15a, "");
SYMBOL_CRC(cx88_core_get, 0xd1ced775, "");
SYMBOL_CRC(cx88_core_put, 0xb2b68458, "");
SYMBOL_CRC(cx88_set_tvaudio, 0xba31694e, "");
SYMBOL_CRC(cx88_newstation, 0xd1400833, "");
SYMBOL_CRC(cx88_get_stereo, 0xd50a6088, "");
SYMBOL_CRC(cx88_set_stereo, 0x72cee58a, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x18d01497, "");
SYMBOL_CRC(cx88_ir_start, 0xb9634634, "");
SYMBOL_CRC(cx88_ir_stop, 0x0cb398e3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x6fed354, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xf58ae181, "i2c_smbus_xfer" },
	{ 0xb3d3df56, "const_pcpu_hot" },
	{ 0x289a1d7f, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe128c0d7, "rc_keyup" },
	{ 0x670850a9, "__v4l2_ctrl_grab" },
	{ 0x7512cf36, "i2c_unregister_device" },
	{ 0x1c0d25c8, "tveeprom_read" },
	{ 0x3f3eba41, "rc_keydown_notimeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9c90d8c4, "rc_register_device" },
	{ 0xa38733c0, "dma_alloc_attrs" },
	{ 0x771318b0, "rc_keydown" },
	{ 0xe670e782, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x49994bf, "i2c_new_client_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6dea27ae, "freezing_slow_path" },
	{ 0x80022c79, "rc_free_device" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf76f3e0d, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbe2d2b96, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2692305f, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x1d3cbb66, "v4l2_ctrl_handler_free" },
	{ 0x410ec79c, "i2c_transfer" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0xd3351992, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xde1ad59, "hrtimer_forward" },
	{ 0x38008b1f, "v4l2_i2c_new_subdev" },
	{ 0x3f01de96, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xfc04fb3f, "param_ops_int" },
	{ 0xf831e26b, "ir_raw_event_store_with_filter" },
	{ 0x194e3a1e, "i2c_smbus_read_byte_data" },
	{ 0xb63b42e8, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x423aca3b, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6edb5cee, "ir_raw_event_handle" },
	{ 0xa8571a4f, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8f255874, "i2c_bit_add_bus" },
	{ 0x4a164fa9, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x7cee4e89, "param_array_ops" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
