#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x171cf40d, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x845712b6, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xd30476b5, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0xc94b061e, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x2e592732, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x420f3840, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x4e5d968c, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x51fc14a3, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0xe8209ee2, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0xfbfba320, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0xb535d32d, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0xc8a1ea85, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0xb511815b, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0xce4cb754, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x48a66200, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x7ce2dc87, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x446a1471, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xc1e82a3e, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x764cb3d2, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0xcb35845f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x42b784fe, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0xa4aa7bce, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0xab406dee, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x22441ef6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x958b2514, "pci_find_ext_capability" },
	{ 0x554481fa, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x65b45cb, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcec0c04a, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf3c7cb41, "pci_disable_msi" },
	{ 0xda434b81, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8b275cf3, "pcpu_hot" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x20c4604a, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb531c49a, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4affc4d6, "pci_read_config_dword" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x9dad85bb, "pm_schedule_suspend" },
	{ 0x20682274, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5d1bd5fa, "pci_enable_msi" },
	{ 0x50446a4, "_dev_err" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x2266f965, "pcie_capability_clear_and_set_word_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa38733c0, "dma_alloc_attrs" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x9f56d465, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0x1736c936, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf3de726, "pm_runtime_forbid" },
	{ 0x73d61014, "dma_free_attrs" },
	{ 0xe2094c9a, "pm_runtime_allow" },
	{ 0xa87311bc, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc25fc6f, "param_ops_bool" },
	{ 0x4b3bf9fb, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2692305f, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbff34616, "pci_disable_device" },
	{ 0x92748d2, "mfd_remove_devices" },
	{ 0x4dfce41e, "dma_set_mask" },
	{ 0xbb844d26, "dma_unmap_sg_attrs" },
	{ 0x3f01de96, "pci_read_config_byte" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x2f76f175, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x48634df1, "pci_write_config_dword" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x6214b53e, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc382da91, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "C84F85E7544A89EC63E766C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
