#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x24ddd86e, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x0762eb97, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8278691f, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc936c540, "skb_push" },
	{ 0xa38733c0, "dma_alloc_attrs" },
	{ 0xb94663dd, "napi_enable" },
	{ 0x85123c73, "netif_receive_skb" },
	{ 0xb4565224, "register_netdev" },
	{ 0x6e8d12d0, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9367734f, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa7b1eaff, "ethtool_op_get_link" },
	{ 0xd782c68a, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6ec57a51, "pci_iounmap" },
	{ 0x39a941f8, "pci_restore_state" },
	{ 0x5f9f620b, "netif_tx_wake_queue" },
	{ 0xc411cb7b, "devm_hwmon_device_register_with_groups" },
	{ 0x4186ed1b, "_dev_warn" },
	{ 0x1736c936, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1990465d, "__pskb_pull_tail" },
	{ 0x7e8732bf, "netif_tx_lock" },
	{ 0xeb0068d, "__netdev_alloc_skb" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x204f76ff, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x73d61014, "dma_free_attrs" },
	{ 0x85fd9b26, "pci_enable_wake" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4b3bf9fb, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7293d043, "__folio_put" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc7abaed4, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd3aee528, "skb_clone" },
	{ 0xc23488a3, "__hw_addr_sync_dev" },
	{ 0x5da07711, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe2bc34d7, "netif_carrier_on" },
	{ 0x34c062b3, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4bff449a, "alloc_pages_noprof" },
	{ 0xbff34616, "pci_disable_device" },
	{ 0x4dfce41e, "dma_set_mask" },
	{ 0x430a089c, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xf73d9c8d, "napi_schedule_prep" },
	{ 0xf80cc6d0, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0x4c4f2556, "napi_disable" },
	{ 0x805dfb67, "dev_kfree_skb_any_reason" },
	{ 0xab5e7b8d, "_dev_printk" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd7663b0c, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x48634df1, "pci_write_config_dword" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0xc078fa2, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xee1a1461, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4851a302, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd89d3501, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa2a4ee3d, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc31571a5, "skb_copy_bits" },
	{ 0xa8571a4f, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x554481fa, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7e4a723f, "param_ops_ushort" },
	{ 0x99b7232a, "consume_skb" },
	{ 0xfacf4e0, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x41cbf2d4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x1e85e65f, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x263dd728, "ndo_dflt_bridge_getlink" },
	{ 0x727f5b0f, "unregister_netdev" },
	{ 0xe094b014, "napi_get_frags" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x481b97eb, "dma_unmap_page_attrs" },
	{ 0xda308cee, "request_firmware" },
	{ 0xcec0c04a, "__pci_register_driver" },
	{ 0x6ba43203, "pci_num_vf" },
	{ 0xda434b81, "pci_request_regions" },
	{ 0xb442c6ab, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xccaa7d6c, "pci_sriov_get_totalvfs" },
	{ 0x8b275cf3, "pcpu_hot" },
	{ 0xc65e9a5b, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4297df50, "udp_tunnel_nic_ops" },
	{ 0xd5889b1e, "__netif_napi_del" },
	{ 0xaf59cb88, "netif_tx_unlock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb531c49a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91600795, "pskb_expand_head" },
	{ 0xdcc1f94b, "dev_driver_string" },
	{ 0xdcbbff3a, "dev_addr_mod" },
	{ 0x428c5094, "eth_type_trans" },
	{ 0x4affc4d6, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1801c591, "dma_map_page_attrs" },
	{ 0x85b5500, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x4156104c, "__napi_schedule" },
	{ 0xa33c8bdf, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x8479684b, "netif_device_detach" },
	{ 0x1f99d059, "__hw_addr_unsync_dev" },
	{ 0x50bd45f6, "_dev_info" },
	{ 0xfc97ae27, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xca7af94d, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x50446a4, "_dev_err" },
	{ 0x54953ca4, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa032dcd9, "netif_set_real_num_tx_queues" },
	{ 0x7fc74ce3, "sk_skb_reason_drop" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8F19807B53974A8F11B3ED8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
