#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0xdaa4c47f, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x549f2e39, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa032dcd9, "netif_set_real_num_tx_queues" },
	{ 0xabf49c5e, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8278691f, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa38733c0, "dma_alloc_attrs" },
	{ 0x3d80d5e5, "debugfs_remove" },
	{ 0x58d2f9d4, "pci_read_config_word" },
	{ 0xb94663dd, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x8cd1f9b0, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x71c28e26, "dcbnl_ieee_notify" },
	{ 0x50763c8a, "xsk_uses_need_wakeup" },
	{ 0xb4565224, "register_netdev" },
	{ 0x81e3ab06, "trace_event_reg" },
	{ 0x6573f300, "ida_free" },
	{ 0x6e8d12d0, "free_netdev" },
	{ 0xb189b933, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa7b1eaff, "ethtool_op_get_link" },
	{ 0x52092bc3, "eth_platform_get_mac_address" },
	{ 0xd782c68a, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xaab6f3f, "__SCK__tp_func_xdp_exception" },
	{ 0x11e2d087, "netif_tx_stop_all_queues" },
	{ 0x39a941f8, "pci_restore_state" },
	{ 0x5f9f620b, "netif_tx_wake_queue" },
	{ 0xc19797bc, "device_del" },
	{ 0xff88951a, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x81136c94, "dcb_getapp" },
	{ 0xfb578fc5, "memset" },
	{ 0x4186ed1b, "_dev_warn" },
	{ 0x8d17941a, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa42d86b, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x632bc823, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x1736c936, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc8eec79c, "flow_rule_match_ipv6_addrs" },
	{ 0x78a3d7e6, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5792a055, "ptp_clock_unregister" },
	{ 0x1990465d, "__pskb_pull_tail" },
	{ 0xec2bc277, "xp_dma_unmap" },
	{ 0x98bfcb9b, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x608ccf67, "netdev_unbind_sb_channel" },
	{ 0x204f76ff, "dma_set_coherent_mask" },
	{ 0x3505b026, "bpf_trace_run3" },
	{ 0x18a60af3, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xb0ba2874, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x19f52d2, "netdev_bind_sb_channel_queue" },
	{ 0xe4aef60c, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3dad4fbb, "netdev_reset_tc" },
	{ 0x73d61014, "dma_free_attrs" },
	{ 0xe84fab7e, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6256ec0, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x705664f2, "call_netdevice_notifiers" },
	{ 0x4854b60b, "xp_set_rxq_info" },
	{ 0xb3103154, "flow_rule_match_vlan" },
	{ 0x92d66300, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb81add3b, "napi_build_skb" },
	{ 0x63176b23, "__xdp_rxq_info_reg" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc7abaed4, "netif_carrier_off" },
	{ 0x9b084bdb, "devlink_priv" },
	{ 0xc23488a3, "__hw_addr_sync_dev" },
	{ 0x90d49f37, "devlink_port_register_with_ops" },
	{ 0x5da07711, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe2bc34d7, "netif_carrier_on" },
	{ 0xd0afe0be, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x800d4945, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x34c062b3, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaa40b237, "dev_uc_add_excl" },
	{ 0xbff34616, "pci_disable_device" },
	{ 0xee8e62a9, "xp_free" },
	{ 0xa0fda62a, "dev_mc_add_excl" },
	{ 0x4ba899b1, "dev_uc_add" },
	{ 0x4dfce41e, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x10226b20, "_dev_crit" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x3078f893, "skb_add_rx_frag_netmem" },
	{ 0x9d2b3569, "xdp_master_redirect" },
	{ 0x13b1e4bb, "__napi_schedule_irqoff" },
	{ 0xf73d9c8d, "napi_schedule_prep" },
	{ 0x7a3052f2, "napi_consume_skb" },
	{ 0x3f01de96, "pci_read_config_byte" },
	{ 0x6eab88cc, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x4c4f2556, "napi_disable" },
	{ 0x805dfb67, "dev_kfree_skb_any_reason" },
	{ 0xf82637e2, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x471e3eb5, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe1f8eff8, "flow_rule_match_control" },
	{ 0xd7663b0c, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xb3b952c6, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe817b364, "ethtool_op_get_ts_info" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0xc078fa2, "netdev_info" },
	{ 0xf933f8af, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xf78b2d8c, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe796a9d8, "__tracepoint_xdp_exception" },
	{ 0x16681956, "xsk_tx_completed" },
	{ 0x776f1f7c, "napi_alloc_skb" },
	{ 0xee1a1461, "alloc_etherdev_mqs" },
	{ 0x4851a302, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xc382da91, "pcie_capability_read_word" },
	{ 0xe79730e9, "device_set_wakeup_enable" },
	{ 0xd89d3501, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xec48eabf, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x958b2514, "pci_find_ext_capability" },
	{ 0xf048a39f, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2489033, "xp_dma_map" },
	{ 0x4a9605d0, "devlink_unregister" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xc31571a5, "skb_copy_bits" },
	{ 0xa8571a4f, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7d32d017, "pci_request_selected_regions" },
	{ 0xf139f5f4, "pci_release_selected_regions" },
	{ 0x601f1fc1, "devm_kmalloc" },
	{ 0x79222d9b, "pci_wake_from_d3" },
	{ 0x554481fa, "pci_enable_device" },
	{ 0x8c143260, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe89a7ed1, "auxiliary_device_init" },
	{ 0xbd1b3bc7, "pci_enable_device_mem" },
	{ 0x99b7232a, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x41cbf2d4, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaf8b8fdc, "xsk_tx_peek_release_desc_batch" },
	{ 0x1e85e65f, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc51314e1, "trace_raw_output_prep" },
	{ 0x3ad555ed, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x263dd728, "ndo_dflt_bridge_getlink" },
	{ 0x727f5b0f, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xa0ad4103, "xdp_convert_zc_to_xdp_frame" },
	{ 0x9c7f1e53, "xdp_features_set_redirect_target" },
	{ 0xe3cbd7f6, "__trace_trigger_soft_disabled" },
	{ 0x55eaf65f, "pci_get_device" },
	{ 0x481b97eb, "dma_unmap_page_attrs" },
	{ 0xda308cee, "request_firmware" },
	{ 0xe2c36dae, "trace_event_printf" },
	{ 0x76fd3e27, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xcec0c04a, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x6ba43203, "pci_num_vf" },
	{ 0xf680053d, "flow_rule_match_eth_addrs" },
	{ 0xa2c5ed13, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf3c7cb41, "pci_disable_msi" },
	{ 0x97076750, "ptp_clock_index" },
	{ 0x653f3443, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e148c1e, "devlink_alloc_ns" },
	{ 0xcae097ac, "devlink_register" },
	{ 0x8b275cf3, "pcpu_hot" },
	{ 0x8aa6690d, "xdp_do_redirect" },
	{ 0x7852a76d, "devlink_free" },
	{ 0xc65e9a5b, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x75e4aa87, "bpf_trace_run2" },
	{ 0x7d6ccd65, "netdev_warn" },
	{ 0x4297df50, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xce71871c, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x1d9b33d4, "flow_rule_match_ipv4_addrs" },
	{ 0xd5889b1e, "__netif_napi_del" },
	{ 0x7c72c9cb, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x20c4604a, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb531c49a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x77c2d247, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91600795, "pskb_expand_head" },
	{ 0xdcc1f94b, "dev_driver_string" },
	{ 0xdbd813b1, "pci_restore_msi_state" },
	{ 0x832df810, "trace_event_buffer_commit" },
	{ 0xdcbbff3a, "dev_addr_mod" },
	{ 0x45a85fd4, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf96ed75a, "ptp_find_pin" },
	{ 0x428c5094, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1801c591, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x85b5500, "napi_complete_done" },
	{ 0x633d8144, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5f13a960, "priv_to_devlink" },
	{ 0xa85bf1e8, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x16111c0, "put_device" },
	{ 0x4156104c, "__napi_schedule" },
	{ 0xcd1c4197, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa33c8bdf, "pci_enable_msix_range" },
	{ 0xe433c88e, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x715ca5b6, "__free_pages" },
	{ 0x1f99d059, "__hw_addr_unsync_dev" },
	{ 0x50bd45f6, "_dev_info" },
	{ 0xab6deba, "napi_gro_receive" },
	{ 0x13ac99ac, "xdp_features_clear_redirect_target" },
	{ 0xa9731353, "pci_select_bars" },
	{ 0x98b62e9d, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb6dd3605, "xp_raw_get_dma" },
	{ 0x618cbe3d, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x442cb719, "xdp_rxq_info_is_reg" },
	{ 0xfe7bf4fd, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6da3e2d3, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xca7af94d, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x5d1bd5fa, "pci_enable_msi" },
	{ 0xb8211f20, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x1712441a, "devlink_port_unregister" },
	{ 0xb78f4d31, "devm_kfree" },
	{ 0x50446a4, "_dev_err" },
	{ 0x9083fb6e, "init_net" },
	{ 0x54953ca4, "softnet_data" },
	{ 0x2d3101a2, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x76ff513a, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x378fe58f, "ptp_clock_register" },
	{ 0xd25afea0, "ethtool_intersect_link_masks" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "libie");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "4C9E6F198D2CC34C91B2C43");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
