#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_register_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_deregister_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_get_primary_netdev_rcu, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0xd89f3f7b, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0x333c56d8, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0xe997d8e5, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x4cd991dc, "");
SYMBOL_CRC(mana_gd_register_device, 0x087743a8, "");
SYMBOL_CRC(mana_gd_deregister_device, 0x70ac98ba, "");
SYMBOL_CRC(mana_uncfg_vport, 0x6b29b386, "");
SYMBOL_CRC(mana_cfg_vport, 0xa6ba734c, "");
SYMBOL_CRC(mana_create_wq_obj, 0xef1c81d7, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0x44f4e776, "");
SYMBOL_CRC(mana_get_primary_netdev_rcu, 0x2f014d26, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb531c49a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x77c2d247, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91600795, "pskb_expand_head" },
	{ 0xdcc1f94b, "dev_driver_string" },
	{ 0xdcbbff3a, "dev_addr_mod" },
	{ 0x45a85fd4, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x428c5094, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1801c591, "dma_map_page_attrs" },
	{ 0x85b5500, "napi_complete_done" },
	{ 0x633d8144, "__alloc_pages_noprof" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa85bf1e8, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x16111c0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x8479684b, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xb3d3df56, "const_pcpu_hot" },
	{ 0x50bd45f6, "_dev_info" },
	{ 0xab6deba, "napi_gro_receive" },
	{ 0xfc97ae27, "netif_device_attach" },
	{ 0x760a35c3, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf943a619, "__skb_get_hash_net" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x50446a4, "_dev_err" },
	{ 0x2d3101a2, "simple_open" },
	{ 0xcc89a46e, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa032dcd9, "netif_set_real_num_tx_queues" },
	{ 0xabf49c5e, "__auxiliary_device_add" },
	{ 0x8278691f, "netif_set_real_num_rx_queues" },
	{ 0x32a460e8, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcb5e4068, "netdev_printk" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xa38733c0, "dma_alloc_attrs" },
	{ 0x3d80d5e5, "debugfs_remove" },
	{ 0xfbbd274a, "pcie_flr" },
	{ 0xb94663dd, "napi_enable" },
	{ 0xb4565224, "register_netdev" },
	{ 0x6573f300, "ida_free" },
	{ 0x6e8d12d0, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1483f59, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9367734f, "__put_devmap_managed_folio_refs" },
	{ 0xa7b1eaff, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xaab6f3f, "__SCK__tp_func_xdp_exception" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6ec57a51, "pci_iounmap" },
	{ 0x5f9f620b, "netif_tx_wake_queue" },
	{ 0xc19797bc, "device_del" },
	{ 0xfcdaacd5, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x4186ed1b, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1736c936, "pci_set_master" },
	{ 0xab3d9ce6, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x962a7201, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x204f76ff, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x73d61014, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x4b3bf9fb, "pci_release_regions" },
	{ 0x85bbb25e, "bpf_prog_add" },
	{ 0x92d66300, "xdp_rxq_info_unreg" },
	{ 0x87af0a15, "page_pool_alloc_pages" },
	{ 0xb81add3b, "napi_build_skb" },
	{ 0xfa6bd85e, "netdev_master_upper_dev_get_rcu" },
	{ 0x7293d043, "__folio_put" },
	{ 0x63176b23, "__xdp_rxq_info_reg" },
	{ 0x391b58e9, "xdp_set_features_flag" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc7abaed4, "netif_carrier_off" },
	{ 0xe2bc34d7, "netif_carrier_on" },
	{ 0x800d4945, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbff34616, "pci_disable_device" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4dfce41e, "dma_set_mask" },
	{ 0x9d2b3569, "xdp_master_redirect" },
	{ 0x13b1e4bb, "__napi_schedule_irqoff" },
	{ 0xf73d9c8d, "napi_schedule_prep" },
	{ 0x7a3052f2, "napi_consume_skb" },
	{ 0x4c4f2556, "napi_disable" },
	{ 0x805dfb67, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x471e3eb5, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf093d648, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0xc078fa2, "netdev_info" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe796a9d8, "__tracepoint_xdp_exception" },
	{ 0xee1a1461, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf048a39f, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x554481fa, "pci_enable_device" },
	{ 0x7200e407, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe89a7ed1, "auxiliary_device_init" },
	{ 0xfacf4e0, "pci_iomap" },
	{ 0x3d5873fa, "pci_alloc_irq_vectors" },
	{ 0x41cbf2d4, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x3ad555ed, "bpf_warn_invalid_xdp_action" },
	{ 0xc75a5cc8, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xb03396e7, "debugfs_create_u16" },
	{ 0x481b97eb, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcec0c04a, "__pci_register_driver" },
	{ 0xbfc97bdc, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xda434b81, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x8b275cf3, "pcpu_hot" },
	{ 0xb5b3cc41, "page_pool_destroy" },
	{ 0x8aa6690d, "xdp_do_redirect" },
	{ 0xc65e9a5b, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7d6ccd65, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb69bf2ec, "pci_irq_vector" },
	{ 0xd5889b1e, "__netif_napi_del" },
	{ 0xaaa21297, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x20c4604a, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3B89D57515721461FB7CEC1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
