#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0xe70524c5, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x89abd1bd, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x6d0d9f90, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xc99677d0, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x9fe2960c, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0xacab6267, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0xd81e3940, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x32a70aeb, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xbe71aa07, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0xf01d3d7c, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x3837a19f, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0xa1a0e185, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x7a591547, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x9e2d48f5, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x15d0245e, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0xb1a27e80, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x8047c10a, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0xab5693c7, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x75c549b5, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x0fa94808, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x5524caa6, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x39e96f84, "");
SYMBOL_CRC(fcoe_transport_detach, 0xe7dfea65, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x17105d08, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x069f726d, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x1c91fb6d, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x03bcd5bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc936c540, "skb_push" },
	{ 0xfd14c1c5, "fc_lport_set_local_id" },
	{ 0x1c0237ec, "fc_exch_recv" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9367734f, "__put_devmap_managed_folio_refs" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xaf19bc57, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5e1b1079, "device_register" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x287b5ec4, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17d28eca, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd8c9d328, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1990465d, "__pskb_pull_tail" },
	{ 0xc753a04c, "fc_fcp_init" },
	{ 0xeb0068d, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x290d10a5, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfaa530bc, "__dev_queue_xmit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7293d043, "__folio_put" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa9d347a9, "dev_get_by_name" },
	{ 0xd3aee528, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe3668340, "fc_seq_els_rsp_send" },
	{ 0x4bff449a, "alloc_pages_noprof" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xfc04fb3f, "param_ops_int" },
	{ 0x18e6d426, "fc_rport_create" },
	{ 0xab5e7b8d, "_dev_printk" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x60d9aed, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xb16daa49, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x46a57685, "fc_linkup" },
	{ 0x54a8cbb6, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc2a1dd0e, "dev_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa8571a4f, "param_ops_uint" },
	{ 0x7200e407, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb4eb1a12, "dev_set_name" },
	{ 0x99b7232a, "consume_skb" },
	{ 0x5e8f97ac, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x78428d8a, "device_unregister" },
	{ 0xc75a5cc8, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5f758dd, "fc_rport_logoff" },
	{ 0x8b275cf3, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcc54e48c, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x26457a3f, "fc_rport_login" },
	{ 0x606427d6, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x54e3f8c4, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x16111c0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb3d3df56, "const_pcpu_hot" },
	{ 0x760a35c3, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xedf17b13, "fc_lport_reset" },
	{ 0xd839b1c3, "bus_unregister" },
	{ 0x9083fb6e, "init_net" },
	{ 0x2136715e, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7fc74ce3, "sk_skb_reason_drop" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "EE7ECF3884882F1769427BA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
