#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xa18ad3ff, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xc2b7cde8, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xc07405f6, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x4e587088, "_gpl");
SYMBOL_CRC(fuse_abort_conn, 0x8ae416a7, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xa770d860, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x206ebb64, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xcd0f7de5, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x8a322d3b, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x26deae2e, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x26c992c2, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x792c30ef, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xc857b1e1, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xd3c88f28, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x9f98ab79, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x71bc7500, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xc553cdbd, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xcbc7e272, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x1d911718, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xafdee6f0, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x06e7da10, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x0c305fd9, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xeeb6fafa, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xcf4f8493, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xd684c673, "");
SYMBOL_CRC(fuse_do_ioctl, 0xa489b6a2, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x1463054f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x6940119c, "setattr_should_drop_suidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0xc4831380, "iov_iter_extract_pages" },
	{ 0x75617ce6, "backing_file_write_iter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xee48fca0, "copy_page_from_iter_atomic" },
	{ 0xc7bc0383, "fs_param_is_gid" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x5a4bc090, "fs_context_for_submount" },
	{ 0xe8eb0bfc, "__folio_swap_cache_index" },
	{ 0xf31deec3, "inode_init_once" },
	{ 0x234ee1e2, "file_write_and_wait_range" },
	{ 0xb67b4438, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x5173f9ac, "nosteal_pipe_buf_ops" },
	{ 0x45a8e85, "ilookup5" },
	{ 0x7d188e62, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57a5e67d, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4abc8940, "release_pages" },
	{ 0xb8211f20, "perf_trace_run_bpf_submit" },
	{ 0x53ef133c, "generic_file_direct_write" },
	{ 0x25562ba4, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x79b96c9f, "generic_file_read_iter" },
	{ 0x88840b65, "inode_maybe_inc_iversion" },
	{ 0x2f77ea24, "unlock_page" },
	{ 0x1a54b4ab, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x9e64d4e5, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x836f59e8, "put_fs_context" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x7cb882a8, "backing_file_splice_read" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x98687a49, "write_cache_pages" },
	{ 0x936d651c, "file_update_time" },
	{ 0x8246d08, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4d70375c, "kmem_cache_alloc_lru_noprof" },
	{ 0x516bfeae, "kmem_cache_free" },
	{ 0x26e3a72, "fget_raw" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x4c583ac7, "from_kgid" },
	{ 0x10dabd43, "fasync_helper" },
	{ 0x81e3ab06, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc9ee7242, "proc_douintvec_minmax" },
	{ 0xa940a182, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3ce02eb3, "from_vfsgid" },
	{ 0xbca2239, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ecc7ac4, "d_obtain_alias" },
	{ 0x2de1d0e4, "file_modified" },
	{ 0x1964009, "copy_page_to_iter" },
	{ 0x9367734f, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf566f62a, "folio_end_read" },
	{ 0x31d36ab1, "finish_no_open" },
	{ 0xceab9502, "idr_alloc_cyclic" },
	{ 0x56c3e4b4, "__folio_start_writeback" },
	{ 0xf168dc96, "bpf_trace_run1" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x5a6bcb65, "kill_litter_super" },
	{ 0x8b79a6df, "folio_end_writeback" },
	{ 0xcff45e09, "folio_alloc_noprof" },
	{ 0xefbec137, "from_kuid" },
	{ 0xe86a34da, "current_in_userns" },
	{ 0xf29551d8, "fc_mount" },
	{ 0x2456c455, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x9fd215d8, "sysfs_remove_mount_point" },
	{ 0x192dc5af, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7a723ca, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xcbd1c497, "in_group_or_capable" },
	{ 0xdf058127, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x3f46c08c, "d_delete" },
	{ 0xaaa0acc5, "__kmem_cache_create_args" },
	{ 0x453d9942, "from_kgid_munged" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf4bbe43d, "kobject_create_and_add" },
	{ 0xeddd417, "down_read" },
	{ 0x521356fd, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe8f9a22f, "nonseekable_open" },
	{ 0x7d439404, "dax_finish_sync_fault" },
	{ 0x69532152, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4df550bd, "backing_file_read_iter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xae1c8045, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7230beea, "fdget" },
	{ 0xbf515fa9, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe20383, "generic_read_dir" },
	{ 0xe84fab7e, "trace_event_buffer_reserve" },
	{ 0xad2408a, "d_add" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc25fc6f, "param_ops_bool" },
	{ 0x27908b2f, "init_user_ns" },
	{ 0xdd2a8f5, "folio_copy" },
	{ 0x3ddf860e, "d_find_alias" },
	{ 0xbc893f79, "invalidate_inode_pages2" },
	{ 0xb1479ef, "inode_set_ctime_current" },
	{ 0x3f51c354, "inc_nlink" },
	{ 0xbe79b140, "seq_write" },
	{ 0x7293d043, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd3ba1e50, "get_tree_bdev" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0xe4307a43, "set_anon_super_fc" },
	{ 0x71951e96, "seq_printf" },
	{ 0x969696dd, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x875e5232, "generic_delete_inode" },
	{ 0xac13f0c6, "deactivate_locked_super" },
	{ 0x5d5773df, "touch_atime" },
	{ 0xe8ca19c6, "__percpu_down_read" },
	{ 0x3552c0a0, "__d_lookup_unhash_wake" },
	{ 0xfadd5694, "set_page_dirty_lock" },
	{ 0x5844c35d, "pid_nr_ns" },
	{ 0xc070d0f2, "generic_file_open" },
	{ 0x20ceaa7b, "truncate_inode_pages_range" },
	{ 0x9c74cdaa, "__put_user_ns" },
	{ 0x4bff449a, "alloc_pages_noprof" },
	{ 0x7b171501, "__folio_lock" },
	{ 0xbfe38aef, "filemap_dirty_folio" },
	{ 0x209b5b78, "pagecache_get_page" },
	{ 0xfc2f2758, "stream_open" },
	{ 0x446b49bf, "rcuwait_wake_up" },
	{ 0x9fe1a0f9, "node_data" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x63e6ea20, "__wake_up_sync" },
	{ 0x5b49c9c5, "add_to_pipe" },
	{ 0x6c63b973, "__fs_parse" },
	{ 0xfc1fdf3e, "dax_layout_busy_page_range" },
	{ 0x7fc2e873, "filemap_splice_read" },
	{ 0xcc3f0beb, "posix_acl_to_xattr" },
	{ 0x8e1fb948, "dget_parent" },
	{ 0x1d53c6fd, "kill_anon_super" },
	{ 0x93c9f1a6, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xef14f8c2, "iget5_locked" },
	{ 0x7a54a518, "security_dentry_init_security" },
	{ 0x2553be04, "filemap_write_and_wait_range" },
	{ 0x1980c727, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa3a2c09e, "generic_write_checks" },
	{ 0x5c147bd5, "iov_iter_revert" },
	{ 0x83288ad1, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8e20078, "mntget" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xb107acf6, "filemap_fault" },
	{ 0xa4e2f8c4, "d_invalidate" },
	{ 0x59404148, "__mark_inode_dirty" },
	{ 0xd32f2353, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x849b8b76, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x8963645c, "drop_nlink" },
	{ 0xe258a60a, "fault_in_iov_iter_readable" },
	{ 0xbaffb97d, "filemap_check_errors" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x7d74770a, "inode_set_ctime_to_ts" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x3dac9c97, "fs_param_is_uid" },
	{ 0xff8e0a02, "bdi_set_max_ratio" },
	{ 0xcf973da0, "kmem_cache_destroy" },
	{ 0xfe960d15, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x56f2ee91, "super_setup_bdi_name" },
	{ 0x93bd3f27, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5f1e38, "truncate_inode_pages" },
	{ 0x8a128836, "noop_backing_dev_info" },
	{ 0x510b73a8, "pipe_lock" },
	{ 0xaec95866, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x74ef42f1, "vfs_fsync_range" },
	{ 0xd9a37de8, "setattr_prepare" },
	{ 0xf2d00862, "filemap_migrate_folio" },
	{ 0xd1610b59, "clear_nlink" },
	{ 0xb391c1e9, "file_check_and_advance_wb_err" },
	{ 0x74121740, "d_alloc_parallel" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xf30104f5, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xee043b3a, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x34a9da7, "make_vfsgid" },
	{ 0xa724f27d, "clear_inode" },
	{ 0x12f4abd3, "inode_to_bdi" },
	{ 0x55b46d82, "find_pid_ns" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x58962ff3, "invalid_mnt_idmap" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x797bee4d, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x802a5e8a, "pipe_unlock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6fa30fe9, "unpin_folio" },
	{ 0x833637e7, "fs_param_is_string" },
	{ 0xd2c29b72, "folio_unlock" },
	{ 0x3da80468, "new_inode" },
	{ 0xa2f530af, "filemap_map_pages" },
	{ 0x65b45cb, "complete" },
	{ 0x91c0ec1c, "dump_page" },
	{ 0xc51314e1, "trace_raw_output_prep" },
	{ 0x97fec487, "forget_all_cached_acls" },
	{ 0x12dd2660, "init_special_inode" },
	{ 0x60f04c25, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x77a1a2ef, "task_active_pid_ns" },
	{ 0xa92599bb, "iov_iter_single_seg_count" },
	{ 0xeb9170d8, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xf6beebac, "filemap_fdatawrite_range" },
	{ 0xe3cbd7f6, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x614f6363, "d_alloc_name" },
	{ 0x3f81f477, "replace_page_cache_folio" },
	{ 0xc4ceacec, "inode_query_iversion" },
	{ 0xcf50f6b0, "iov_iter_advance" },
	{ 0x333b1de1, "kill_fasync" },
	{ 0x394d695b, "d_make_root" },
	{ 0xe2c36dae, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe4193795, "backing_file_splice_write" },
	{ 0xa4d2df2b, "sb_set_blocksize" },
	{ 0x103890b8, "fget" },
	{ 0xa3674fe6, "simple_fill_super" },
	{ 0x5afcce9b, "sync_filesystem" },
	{ 0x8261011, "noop_dirty_folio" },
	{ 0x604b96a4, "sget_fc" },
	{ 0x914ec8fa, "param_set_uint" },
	{ 0x4fe59146, "d_splice_alias" },
	{ 0x6554878c, "iov_iter_get_pages2" },
	{ 0x75e69305, "direct_write_fallback" },
	{ 0x653f3443, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5714d80b, "from_vfsuid" },
	{ 0xfe0163b2, "page_get_link" },
	{ 0x3e99e061, "generic_permission" },
	{ 0xdc3b02c, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x75f0da1d, "invalidate_inode_pages2_range" },
	{ 0x14105f4b, "posix_lock_file" },
	{ 0x227109e, "finish_open" },
	{ 0x35b1a8eb, "dax_iomap_rw" },
	{ 0x1b5a3639, "iput" },
	{ 0x65c496bc, "kiocb_modified" },
	{ 0x8b275cf3, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xc7d277ed, "logfc" },
	{ 0x35ef75f3, "iter_file_splice_write" },
	{ 0xfda8ae3b, "mod_node_page_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x13bc9d4b, "folio_mark_dirty_lock" },
	{ 0xa9e98542, "init_pid_ns" },
	{ 0x74223b11, "dax_iomap_fault" },
	{ 0xa74594, "iov_iter_init" },
	{ 0x6677b0b5, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x1ac40933, "sysfs_create_mount_point" },
	{ 0x20f724f0, "generic_file_write_iter" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc81b12b, "register_filesystem" },
	{ 0xc63b2f6e, "folio_add_lru" },
	{ 0xb410e377, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x1461ef22, "sync_inode_metadata" },
	{ 0x350ce73f, "simple_empty" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xb38dd154, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7c720f02, "shrink_dcache_parent" },
	{ 0x619f8d8f, "make_vfsuid" },
	{ 0x72a84aa4, "__put_cred" },
	{ 0xe3d762c8, "backing_file_open" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x4f91d8bb, "get_tree_nodev" },
	{ 0xc1746c15, "splice_file_range" },
	{ 0x832df810, "trace_event_buffer_commit" },
	{ 0x1e7d12d8, "simple_inode_init_ts" },
	{ 0xab076805, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb7373dd2, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb066cd23, "fs_param_is_u32" },
	{ 0x53922a9d, "inode_newsize_ok" },
	{ 0xac40e10, "d_drop" },
	{ 0x1376a32b, "kill_block_super" },
	{ 0x8e8155a3, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x9680e34a, "bdi_put" },
	{ 0x6835a934, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x51cadf4, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x881e70ed, "unregister_sysctl_table" },
	{ 0xbae2a2eb, "make_kuid" },
	{ 0x856a7272, "truncate_inode_pages_final" },
	{ 0x412b8127, "fs_kobj" },
	{ 0xd9303d16, "__filemap_set_wb_err" },
	{ 0xc19094d8, "simple_dir_operations" },
	{ 0x776d952a, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xae0aa0a9, "backing_file_mmap" },
	{ 0x3eb498f4, "__filemap_get_folio" },
	{ 0xb3d3df56, "const_pcpu_hot" },
	{ 0xed376fad, "folio_mark_dirty" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x9e66e0c6, "put_pid_ns" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0F7B0B9DF1D5168AA2798B8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
