#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53922a9d, "inode_newsize_ok" },
	{ 0x1376a32b, "kill_block_super" },
	{ 0x8e8155a3, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xa91cd015, "block_invalidate_folio" },
	{ 0x116e9c81, "generic_write_end" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbae2a2eb, "make_kuid" },
	{ 0x856a7272, "truncate_inode_pages_final" },
	{ 0x6ec00d0e, "block_write_end" },
	{ 0x776d952a, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x3eb498f4, "__filemap_get_folio" },
	{ 0x794b5868, "invalidate_inode_buffers" },
	{ 0x2ab77010, "bdev_getblk" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf31deec3, "inode_init_once" },
	{ 0x67d80609, "__brelse" },
	{ 0x57a5e67d, "inode_nohighmem" },
	{ 0x79b96c9f, "generic_file_read_iter" },
	{ 0x9e64d4e5, "truncate_pagecache" },
	{ 0x429b9515, "sync_dirty_buffer" },
	{ 0x54b1bff6, "page_symlink" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x11f6124f, "setattr_copy" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x8246d08, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4d70375c, "kmem_cache_alloc_lru_noprof" },
	{ 0x516bfeae, "kmem_cache_free" },
	{ 0x4c583ac7, "from_kgid" },
	{ 0xc7dc07f0, "mpage_writepages" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd354d9f0, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x32c8d826, "block_dirty_folio" },
	{ 0xefbec137, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xacd22153, "__insert_inode_hash" },
	{ 0x98a0a7ec, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf058127, "make_kgid" },
	{ 0xaaa0acc5, "__kmem_cache_create_args" },
	{ 0xdce92f97, "truncate_setsize" },
	{ 0x28dfec6d, "block_read_full_folio" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x62511252, "unlock_buffer" },
	{ 0xe20383, "generic_read_dir" },
	{ 0x94053998, "mount_bdev" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb1479ef, "inode_set_ctime_current" },
	{ 0x3f51c354, "inc_nlink" },
	{ 0x7293d043, "__folio_put" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdfaf8154, "__lock_buffer" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x25820c64, "fs_overflowuid" },
	{ 0x7b171501, "__folio_lock" },
	{ 0x605f1d25, "block_write_begin" },
	{ 0x7fc2e873, "filemap_splice_read" },
	{ 0x2553be04, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x59404148, "__mark_inode_dirty" },
	{ 0xd32f2353, "generic_file_llseek" },
	{ 0xdfec4bca, "mark_buffer_dirty_inode" },
	{ 0x8963645c, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x7d74770a, "inode_set_ctime_to_ts" },
	{ 0x13de04e2, "iget_failed" },
	{ 0xcf973da0, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xdf929370, "fs_overflowgid" },
	{ 0x8fe28805, "inode_init_owner" },
	{ 0xaec95866, "generic_fillattr" },
	{ 0xd9a37de8, "setattr_prepare" },
	{ 0x310cc683, "iget_locked" },
	{ 0x29e7a72c, "generic_block_bmap" },
	{ 0xf30104f5, "d_instantiate" },
	{ 0xa724f27d, "clear_inode" },
	{ 0xd2c29b72, "folio_unlock" },
	{ 0x3da80468, "new_inode" },
	{ 0x12dd2660, "init_special_inode" },
	{ 0x60f04c25, "unregister_filesystem" },
	{ 0x80fe9e28, "mark_buffer_dirty" },
	{ 0x5bb3d010, "__block_write_begin" },
	{ 0x394d695b, "d_make_root" },
	{ 0x7b944a13, "__bforget" },
	{ 0xa4d2df2b, "sb_set_blocksize" },
	{ 0xc950d85d, "block_truncate_page" },
	{ 0xfee3d35, "read_cache_folio" },
	{ 0x5afcce9b, "sync_filesystem" },
	{ 0x4fe59146, "d_splice_alias" },
	{ 0x69acdf38, "memcpy" },
	{ 0x32a36474, "ihold" },
	{ 0xfe0163b2, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0x73ba771c, "generic_file_fsync" },
	{ 0x1b5a3639, "iput" },
	{ 0x20f724f0, "generic_file_write_iter" },
	{ 0xc81b12b, "register_filesystem" },
	{ 0x1461ef22, "sync_inode_metadata" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e7d12d8, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "321B2DCAB3FC8612D949BC6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
