#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ife_encode_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_encode_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_release_meta_gen, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u16, "_gpl", "");
KSYMTAB_FUNC(unregister_ife_op, "_gpl", "");
KSYMTAB_FUNC(register_ife_op, "_gpl", "");

SYMBOL_CRC(ife_encode_meta_u16, 0x57edacd2, "_gpl");
SYMBOL_CRC(ife_get_meta_u32, 0x8106c4fa, "_gpl");
SYMBOL_CRC(ife_check_meta_u32, 0x011bc246, "_gpl");
SYMBOL_CRC(ife_check_meta_u16, 0xfb0fd7d7, "_gpl");
SYMBOL_CRC(ife_encode_meta_u32, 0xb8e79eb0, "_gpl");
SYMBOL_CRC(ife_get_meta_u16, 0x0fe12601, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u32, 0x507f67da, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u16, 0xee40eda6, "_gpl");
SYMBOL_CRC(ife_release_meta_gen, 0x373bae2b, "_gpl");
SYMBOL_CRC(ife_validate_meta_u32, 0xd7a9660c, "_gpl");
SYMBOL_CRC(ife_validate_meta_u16, 0xf40f1d62, "_gpl");
SYMBOL_CRC(unregister_ife_op, 0x44c51317, "_gpl");
SYMBOL_CRC(register_ife_op, 0x7785175e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7888e98, "ife_tlv_meta_encode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8d8bac28, "tcf_register_action" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4e78de5, "tcf_idrinfo_destroy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xd04cd4dd, "try_module_get" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x39b6142b, "tcf_unregister_action" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e42eaa4, "ife_decode" },
	{ 0x67db2029, "ife_tlv_meta_decode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6210e871, "ife_tlv_meta_next" },
	{ 0x428c5094, "eth_type_trans" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xc936c540, "skb_push" },
	{ 0x7e577645, "ife_encode" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x2136715e, "skb_pull" },
	{ 0x92997ed8, "_printk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xb06e4439, "module_put" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x290d10a5, "skb_trim" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2e0b60f0, "tcf_idr_check_alloc" },
	{ 0x4d354d82, "tcf_action_check_ctrlact" },
	{ 0xfb752e7e, "tcf_chain_put_by_act" },
	{ 0xd68eeb7c, "tcf_idr_release" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x80256af4, "tcf_idr_create" },
	{ 0xb8d24292, "tcf_action_set_ctrlact" },
	{ 0xb0f07f66, "tcf_idr_cleanup" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "ife");


MODULE_INFO(srcversion, "834F0F8255C33F2BB13D41E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
