#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x68696cd4, "");
SYMBOL_CRC(hda_bus_ml_free, 0x2e008cfc, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0xc945ffc1, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt_unlocked, 0x38c5c2f0, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x4eaad857, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x2cf0e15a, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x09b512f0, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x71cab2da, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x8e4d310b, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x9a492096, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x35144c93, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x4a6faee7, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x6af0a71a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x2750ac6d, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x04b88a1f, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x74c2c100, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0x9a6948e0, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x4a83c556, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0xda78e514, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x7e20388b, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x57d5150c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x58d09500, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x22aaa5cb, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x98f20577, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0xb2d5e360, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0xae6d6357, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x0618c2f3, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x839c6447, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x4c6f0519, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xfaeaf003, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0xe5a35c07, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x87202397, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x569fc275, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x8a7221c6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c3c1296, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20c4604a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xba6947f9, "snd_hdac_ext_bus_link_power_down" },
	{ 0x50446a4, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0x708eed76, "snd_hdac_ext_bus_link_put" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "DE685653B24AD0A49EC9BDA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
