#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cnl_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_CNL");

SYMBOL_CRC(cnl_ipc4_irq_thread, 0xfb15a137, "");
SYMBOL_CRC(cnl_ipc_irq_thread, 0xf89348f2, "");
SYMBOL_CRC(cnl_ipc4_send_msg, 0x662e0c5d, "");
SYMBOL_CRC(cnl_ipc_send_msg, 0x9f758b78, "");
SYMBOL_CRC(cnl_ipc_dump, 0x42f67882, "");
SYMBOL_CRC(cnl_ipc4_dump, 0x3368b0e7, "");
SYMBOL_CRC(sof_cnl_ops, 0x6b4f4081, "");
SYMBOL_CRC(sof_cnl_ops_init, 0x6d7cc423, "");
SYMBOL_CRC(jsl_chip_info, 0xd1f74dde, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x182cf7d6, "hda_dsp_shutdown" },
	{ 0xcec0c04a, "__pci_register_driver" },
	{ 0xce39ef50, "hda_dsp_disable_interrupts" },
	{ 0x8b275cf3, "pcpu_hot" },
	{ 0x1be82aca, "hda_dsp_cl_boot_firmware" },
	{ 0xb25c77da, "hda_dsp_set_power_state_ipc4" },
	{ 0xc6e09c2f, "__SCK__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0xa1845f94, "__tracepoint_sof_intel_ipc_firmware_initiated" },
	{ 0xa51ffbcb, "hda_dsp_ipc_get_reply" },
	{ 0xf71921ec, "hda_power_down_dsp" },
	{ 0x9a6bd8f2, "snd_soc_acpi_intel_cfl_sdw_machines" },
	{ 0x20c4604a, "__dynamic_dev_dbg" },
	{ 0xb531c49a, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4098a87b, "snd_soc_acpi_intel_cml_machines" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35e33813, "__SCT__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x16bbbb91, "__SCT__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x51257293, "sof_hda_common_ops" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xfca3c3e, "hda_sdw_check_lcount_common" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9b6fc83a, "hda_pci_intel_probe" },
	{ 0xc2f2c62c, "sof_mailbox_write" },
	{ 0x50446a4, "_dev_err" },
	{ 0xde3b8567, "snd_sof_dsp_update_bits_forced" },
	{ 0x625dace4, "sof_pci_remove" },
	{ 0xd2bbad31, "__tracepoint_sof_intel_ipc_firmware_response" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6b32daaa, "__SCK__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x7fc1afd9, "hda_set_dai_drv_ops" },
	{ 0x88f33eda, "hda_dsp_set_power_state_ipc3" },
	{ 0x7b00e40, "snd_soc_acpi_intel_cnl_sdw_machines" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x92b198fc, "snd_sof_ipc_get_reply" },
	{ 0xd0313222, "snd_sof_dsp_update_bits" },
	{ 0x7d3eadc2, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf2617ffe, "hda_common_enable_sdw_irq" },
	{ 0x4812b23b, "hda_dsp_check_ipc_irq" },
	{ 0x7cd623bc, "snd_sof_ipc_reply" },
	{ 0x98025b17, "cl_dsp_init" },
	{ 0x76b0d38, "hda_ipc4_tx_is_busy" },
	{ 0x4cf011ab, "hda_ops_free" },
	{ 0x69501c89, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xa44e6733, "sof_pci_shutdown" },
	{ 0xa6f7f0ef, "hda_dsp_core_get" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0x896602a, "hda_sdw_process_wakeen_common" },
	{ 0xa819438a, "snd_soc_acpi_intel_cml_sdw_machines" },
	{ 0x6a45a8cf, "snd_sof_dsp_panic" },
	{ 0x5edaeb1a, "hda_dsp_ipc4_load_library" },
	{ 0x3dd076cf, "hda_ipc_irq_dump" },
	{ 0x80f486d4, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x2ef2bf1e, "hda_common_check_sdw_irq" },
	{ 0xb0fa8028, "sof_pci_pm" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1a4383c6, "snd_soc_acpi_intel_cfl_machines" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x78358eb4, "hda_sdw_check_wakeen_irq_common" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-soc-acpi-intel-match,snd-sof,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A3F0sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "636D538188C95ADAF6E371D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
