#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1589869d, "drm_crtc_helper_mode_valid_fixed" },
	{ 0xf9709194, "drm_connector_helper_get_modes_fixed" },
	{ 0xe07c7467, "driver_unregister" },
	{ 0x6312dbff, "device_get_match_data" },
	{ 0x4dfce41e, "dma_set_mask" },
	{ 0x204f76ff, "dma_set_coherent_mask" },
	{ 0xfa269b22, "__devm_drm_dev_alloc" },
	{ 0xe796eb6d, "drmm_mode_config_init" },
	{ 0x36c4a7d0, "devm_gpiod_get" },
	{ 0xb84343e, "device_property_read_string" },
	{ 0x601f1fc1, "devm_kmalloc" },
	{ 0xf594c0c2, "drm_connector_init" },
	{ 0x2f530691, "drm_simple_display_pipe_init" },
	{ 0xf387579f, "drm_mode_config_reset" },
	{ 0x83913aae, "drm_dev_register" },
	{ 0x200ff4a8, "__drm_dev_dbg" },
	{ 0x8e1d006c, "drm_client_setup" },
	{ 0xb9409b08, "thermal_zone_get_zone_by_name" },
	{ 0x8d1fc535, "drm_dev_printk" },
	{ 0x7691e5b4, "spi_get_device_id" },
	{ 0x4186ed1b, "_dev_warn" },
	{ 0x283ad5a7, "gpiod_set_value_cansleep" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xb9c41f73, "drm_atomic_helper_damage_merged" },
	{ 0x24e99aa5, "drm_format_conv_state_release" },
	{ 0xbbbc2b91, "drm_fb_dma_get_gem_obj" },
	{ 0xa1d6cdb5, "drm_dev_enter" },
	{ 0x5cc89c6a, "thermal_zone_get_temp" },
	{ 0x3c0c5775, "drm_gem_fb_begin_cpu_access" },
	{ 0xf46575f9, "drm_fb_xrgb8888_to_mono" },
	{ 0x2421bb44, "drm_gem_fb_end_cpu_access" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x52d5a8b3, "gpiod_get_value_cansleep" },
	{ 0x50446a4, "_dev_err" },
	{ 0x765596c5, "drm_gem_dma_prime_import_sg_table_vmap" },
	{ 0x8e27de21, "drm_gem_dma_dumb_create" },
	{ 0x6403cc7b, "drm_fbdev_dma_driver_fbdev_probe" },
	{ 0xac7af3a6, "noop_llseek" },
	{ 0x96c7e2d8, "drm_read" },
	{ 0x79bd4705, "drm_poll" },
	{ 0x73a5dbbe, "drm_ioctl" },
	{ 0x83cce283, "drm_compat_ioctl" },
	{ 0xa13bfd02, "drm_gem_mmap" },
	{ 0xacabeed3, "drm_open" },
	{ 0x2208c1d2, "drm_release" },
	{ 0x1dece9c0, "drm_gem_fb_create_with_dirty" },
	{ 0xf85fa7af, "drm_atomic_helper_check" },
	{ 0xf4cfc415, "drm_atomic_helper_commit" },
	{ 0x69c14cea, "drm_atomic_helper_connector_reset" },
	{ 0x5c3896f4, "drm_helper_probe_single_connector_modes" },
	{ 0x6ca9721e, "drm_connector_cleanup" },
	{ 0xf9fac2af, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x7e1c9f36, "drm_atomic_helper_connector_destroy_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27eb2337, "__spi_register_driver" },
	{ 0xdd7133f4, "drm_atomic_helper_shutdown" },
	{ 0x3f20fc83, "drm_dev_unplug" },
	{ 0xd9f7238c, "spi_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "drm_dma_helper");

MODULE_ALIAS("spi:e1144cs021");
MODULE_ALIAS("spi:e1190cs021");
MODULE_ALIAS("spi:e2200cs021");
MODULE_ALIAS("spi:e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021C*");

MODULE_INFO(srcversion, "12F14B4CB1B4DB6976ED988");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
