#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_bo_populate, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_fini, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_agp_bind, "", "");
KSYMTAB_FUNC(ttm_agp_unbind, "", "");
KSYMTAB_FUNC(ttm_agp_is_bound, "", "");
KSYMTAB_FUNC(ttm_agp_destroy, "", "");
KSYMTAB_FUNC(ttm_agp_tt_create, "", "");

SYMBOL_CRC(ttm_tt_init, 0x40e9eb37, "");
SYMBOL_CRC(ttm_tt_fini, 0xd57c65e2, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x958c4100, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0x7ab6e92f, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0x1e7dc951, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0x1c1fb216, "");
SYMBOL_CRC(ttm_bo_put, 0x58f769d2, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0x5a7d30f1, "");
SYMBOL_CRC(ttm_bo_pin, 0x0a7621b0, "");
SYMBOL_CRC(ttm_bo_unpin, 0x1714c13b, "");
SYMBOL_CRC(ttm_bo_mem_space, 0xae41cd13, "");
SYMBOL_CRC(ttm_bo_validate, 0x2aa9fca2, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0xb94c7354, "");
SYMBOL_CRC(ttm_bo_init_validate, 0x5d5cc2c0, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0xa156e41c, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0x5aff8e9f, "");
SYMBOL_CRC(ttm_bo_populate, 0x1976f86c, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0xe389856d, "");
SYMBOL_CRC(ttm_io_prot, 0x87f24ec2, "");
SYMBOL_CRC(ttm_bo_kmap, 0x0f32970e, "");
SYMBOL_CRC(ttm_bo_kunmap, 0xab4df86d, "");
SYMBOL_CRC(ttm_bo_vmap, 0x092cc936, "");
SYMBOL_CRC(ttm_bo_vunmap, 0xda3701f5, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0x74e20e88, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0xc423a002, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0x955e38ce, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0x19674405, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0xce6b80b6, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0x52f619ae, "");
SYMBOL_CRC(ttm_bo_vm_open, 0x6a0fe165, "");
SYMBOL_CRC(ttm_bo_vm_close, 0xb5261d6c, "");
SYMBOL_CRC(ttm_bo_vm_access, 0x0339196b, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0x6a865ec6, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0x14a70879, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0xc0af0410, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0xd941b87b, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0x59ab8c6c, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0xb5c8a9bd, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x90e8153f, "");
SYMBOL_CRC(ttm_lru_bulk_move_fini, 0x70a7aa1e, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0x5e9123f5, "");
SYMBOL_CRC(ttm_resource_init, 0x0b2a2fc8, "");
SYMBOL_CRC(ttm_resource_fini, 0x423f3428, "");
SYMBOL_CRC(ttm_resource_free, 0x7ce9ad79, "");
SYMBOL_CRC(ttm_resource_manager_init, 0x6a8dcee4, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0x0309bff2, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0x5aa698d6, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0x29e1e9c2, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x6a847134, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0xe9915f0f, "");
SYMBOL_CRC(ttm_pool_alloc, 0xa578017f, "");
SYMBOL_CRC(ttm_pool_free, 0x07333025, "");
SYMBOL_CRC(ttm_pool_init, 0x4d025e0d, "");
SYMBOL_CRC(ttm_pool_fini, 0x736d314b, "");
SYMBOL_CRC(ttm_pool_debugfs, 0xd60ed947, "");
SYMBOL_CRC(ttm_glob, 0x40c19bbf, "");
SYMBOL_CRC(ttm_device_swapout, 0x04bf02ea, "");
SYMBOL_CRC(ttm_device_init, 0xa6a8969a, "");
SYMBOL_CRC(ttm_device_fini, 0x3d50afd9, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0x763dd43b, "");
SYMBOL_CRC(ttm_agp_bind, 0x9fbc8782, "");
SYMBOL_CRC(ttm_agp_unbind, 0x519aa05c, "");
SYMBOL_CRC(ttm_agp_is_bound, 0x7cd317ad, "");
SYMBOL_CRC(ttm_agp_destroy, 0x3aa5a08b, "");
SYMBOL_CRC(ttm_agp_tt_create, 0x6a893109, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa647abd4, "dma_resv_add_fence" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6dd3ef37, "seq_lseek" },
	{ 0xff756fd0, "drm_vma_offset_add" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0x4d924f20, "memremap" },
	{ 0xa4a532a, "__tracepoint_mmap_lock_released" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xc2762363, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe382311e, "shrinker_free" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0x4294db7f, "set_pages_wb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1801c591, "dma_map_page_attrs" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x633d8144, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x942f1b8e, "dma_resv_reset_max_fences" },
	{ 0xafac682a, "ww_mutex_trylock" },
	{ 0x39a5c135, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd6d8e62c, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0x618911fc, "numa_node" },
	{ 0xb3d3df56, "const_pcpu_hot" },
	{ 0x715ca5b6, "__free_pages" },
	{ 0x50bd45f6, "_dev_info" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6f859baa, "mark_page_accessed" },
	{ 0xf0dcbe98, "shmem_file_setup" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x25562ba4, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xc364e96e, "agp_free_memory" },
	{ 0x782850f, "dma_fence_signal" },
	{ 0x462f79bc, "dma_resv_fini" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa38733c0, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x3d80d5e5, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x526e825b, "seq_putc" },
	{ 0xc34eea99, "ww_mutex_lock" },
	{ 0x55b1a555, "shmem_read_mapping_page_gfp" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xccc5f418, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9367734f, "__put_devmap_managed_folio_refs" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xec9e6ff3, "vmf_insert_pfn_prot" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x119e4c97, "agp_allocate_memory" },
	{ 0x755f2fe4, "agp_unbind_memory" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0xeddd417, "down_read" },
	{ 0x9c2de208, "dma_resv_copy_fences" },
	{ 0x2056865b, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x404f4881, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0xcbe7a281, "dma_fence_enable_sw_signaling" },
	{ 0xfee44b95, "set_pages_array_wc" },
	{ 0x73d61014, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xedf993cc, "dma_resv_iter_next_unlocked" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbe79b140, "seq_write" },
	{ 0x7293d043, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71951e96, "seq_printf" },
	{ 0x6a534fd2, "__mmap_lock_do_trace_released" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x800d4945, "debugfs_create_file_full" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd9399ab7, "dma_resv_iter_first_unlocked" },
	{ 0x4bff449a, "alloc_pages_noprof" },
	{ 0x38194a3e, "boot_cpu_data" },
	{ 0x6cca7f4f, "single_release" },
	{ 0xbb50eba9, "set_pages_array_uc" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x54fd581a, "dma_resv_test_signaled" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa31e107a, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x471e3eb5, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xbb53856b, "up_read" },
	{ 0xd171f54c, "drm_vma_offset_remove" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbbfc1b1, "shrinker_alloc" },
	{ 0x4c910958, "ww_mutex_lock_interruptible" },
	{ 0xa1d6cdb5, "drm_dev_enter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd172d32f, "param_ops_ulong" },
	{ 0x1e297490, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x8155961e, "agp_bind_memory" },
	{ 0x79bfb796, "vmalloc_to_page" },
	{ 0x7794a1e1, "dma_resv_init" },
	{ 0xad476652, "dma_resv_wait_timeout" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xfa666974, "queue_work_node" },
	{ 0x481b97eb, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0xd2f9f43e, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x8a61e58d, "debugfs_create_atomic_t" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd281add4, "unmap_mapping_range" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "20EC41E048E608208B19DEC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
