#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_port, "", "");
KSYMTAB_FUNC(roce_del_all_netdev_gids, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0xc1a4501d, "");
SYMBOL_CRC(__ib_alloc_pd, 0xca911c28, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0xa61bb555, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x4f8b4aa0, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x0b91305d, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xd4a0639a, "");
SYMBOL_CRC(rdma_create_ah, 0x75be513f, "");
SYMBOL_CRC(rdma_create_user_ah, 0x8d32a959, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xd2730447, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x2a1f2642, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x6bc20696, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0xc37b4511, "");
SYMBOL_CRC(rdma_modify_ah, 0x6d4658fb, "");
SYMBOL_CRC(rdma_query_ah, 0x0bee4e06, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x6e8562b7, "");
SYMBOL_CRC(ib_create_srq_user, 0xd367263a, "");
SYMBOL_CRC(ib_modify_srq, 0x25164a48, "");
SYMBOL_CRC(ib_query_srq, 0x76930b1d, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x39e77094, "");
SYMBOL_CRC(ib_open_qp, 0x7d2ccfda, "");
SYMBOL_CRC(ib_create_qp_user, 0x69055b60, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x7fb8f652, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x10bf4e21, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x1006460c, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0xf7616fb9, "");
SYMBOL_CRC(ib_get_eth_speed, 0x7cf16812, "");
SYMBOL_CRC(ib_modify_qp, 0xe476a0ca, "");
SYMBOL_CRC(ib_query_qp, 0xaa55bc43, "");
SYMBOL_CRC(ib_close_qp, 0x802beaca, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x0a5a1d13, "");
SYMBOL_CRC(__ib_create_cq, 0x70a552fc, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x75dd1869, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x6df08ad2, "");
SYMBOL_CRC(ib_resize_cq, 0x2d253fc3, "");
SYMBOL_CRC(ib_reg_user_mr, 0xb085a1e4, "");
SYMBOL_CRC(ib_advise_mr, 0x430402ab, "");
SYMBOL_CRC(ib_dereg_mr_user, 0xbabbf11e, "");
SYMBOL_CRC(ib_alloc_mr, 0xdef60b4f, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x96b50c71, "");
SYMBOL_CRC(ib_attach_mcast, 0x9679b3c2, "");
SYMBOL_CRC(ib_detach_mcast, 0x7d06e866, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x9dae7ea8, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x3dba69ca, "");
SYMBOL_CRC(ib_create_wq, 0xc3a08daf, "");
SYMBOL_CRC(ib_destroy_wq_user, 0xe5fd3ee1, "");
SYMBOL_CRC(ib_check_mr_status, 0xf5521ef2, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x34bdea51, "");
SYMBOL_CRC(ib_get_vf_config, 0x9719e1e8, "");
SYMBOL_CRC(ib_get_vf_stats, 0xc8d02a39, "");
SYMBOL_CRC(ib_set_vf_guid, 0x9830a75d, "");
SYMBOL_CRC(ib_get_vf_guid, 0x9e49033e, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xa18dc7a3, "");
SYMBOL_CRC(ib_map_mr_sg, 0x80e3051a, "");
SYMBOL_CRC(ib_sg_to_pages, 0x3e88013b, "");
SYMBOL_CRC(ib_drain_sq, 0x3658f399, "");
SYMBOL_CRC(ib_drain_rq, 0xa00f212f, "");
SYMBOL_CRC(ib_drain_qp, 0x9ffc68fe, "");
SYMBOL_CRC(rdma_alloc_netdev, 0xdf51c9fc, "");
SYMBOL_CRC(rdma_init_netdev, 0x41a70967, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0xb5900f7f, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0x04afaad2, "");
SYMBOL_CRC(ib_process_cq_direct, 0x185f31b6, "");
SYMBOL_CRC(__ib_alloc_cq, 0x744ed44b, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xc8675b77, "");
SYMBOL_CRC(ib_free_cq, 0xe1f2ccc4, "");
SYMBOL_CRC(ib_cq_pool_get, 0x1b6a545f, "");
SYMBOL_CRC(ib_cq_pool_put, 0xaf25d5ef, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0xc68418ee, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x069a4309, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x4fa149cd, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x9269c926, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xed95820e, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0xf7b83b59, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x7243298a, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x50f84fb1, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x7175e28a, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0x07f96e05, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0xed8f57d2, "");
SYMBOL_CRC(ibdev_printk, 0x40085702, "");
SYMBOL_CRC(ibdev_emerg, 0x16964523, "");
SYMBOL_CRC(ibdev_alert, 0xc8eb8eee, "");
SYMBOL_CRC(ibdev_crit, 0x8838f831, "");
SYMBOL_CRC(ibdev_err, 0xf8b3e72e, "");
SYMBOL_CRC(ibdev_warn, 0x1af093d1, "");
SYMBOL_CRC(ibdev_notice, 0x334640df, "");
SYMBOL_CRC(ibdev_info, 0xa9b1c1d3, "");
SYMBOL_CRC(ib_device_put, 0x7a657811, "");
SYMBOL_CRC(ib_device_get_by_name, 0xf7258b90, "");
SYMBOL_CRC(_ib_alloc_device, 0x833bcbe9, "");
SYMBOL_CRC(ib_dealloc_device, 0xa6d75408, "");
SYMBOL_CRC(ib_port_immutable_read, 0xb4c450c8, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x1d1383f4, "");
SYMBOL_CRC(ib_register_device, 0xabfca53b, "");
SYMBOL_CRC(ib_unregister_device, 0x45b772cd, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x312f7b04, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0xdf87522a, "");
SYMBOL_CRC(ib_register_client, 0x9a5d6268, "");
SYMBOL_CRC(ib_unregister_client, 0xc53a7266, "");
SYMBOL_CRC(ib_set_client_data, 0xd64c6608, "");
SYMBOL_CRC(ib_register_event_handler, 0xf21c2b05, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x21b071cd, "");
SYMBOL_CRC(ib_query_port, 0x0727e677, "");
SYMBOL_CRC(ib_device_set_netdev, 0x514c9355, "");
SYMBOL_CRC(ib_device_get_netdev, 0x4210dccf, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0xe9989326, "");
SYMBOL_CRC(ib_query_pkey, 0xa85ee24c, "");
SYMBOL_CRC(ib_modify_device, 0x924e8414, "");
SYMBOL_CRC(ib_modify_port, 0x4f8fba82, "");
SYMBOL_CRC(ib_find_gid, 0x912b8bbf, "");
SYMBOL_CRC(ib_find_pkey, 0xb9aafe76, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x318b8250, "");
SYMBOL_CRC(ib_set_device_ops, 0x9a01ed92, "");
SYMBOL_CRC(ib_add_sub_device, 0x238664f5, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0x6f8c542f, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xa2ed448d, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x5e9ac231, "");
SYMBOL_CRC(rdma_query_gid, 0xc9a8e31d, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0xe0ce3092, "");
SYMBOL_CRC(rdma_find_gid, 0x170a74ce, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x5c9572b4, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x2b21a31f, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x2b4e87ed, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xaf53b99a, "");
SYMBOL_CRC(ib_get_cached_lmc, 0xae0c7dff, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x445db7bb, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x909241c3, "");
SYMBOL_CRC(rdma_query_gid_table, 0xf9da5fb2, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xf09b8117, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x86593e72, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0xe4757224, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x2431f639, "");
SYMBOL_CRC(ib_dispatch_event, 0xd06ccc6c, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x5bf57b48, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0xaa1b0d24, "");
SYMBOL_CRC(ibnl_put_attr, 0x0e75784d, "");
SYMBOL_CRC(rdma_nl_unicast, 0xcc82f18c, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x6c6b8778, "");
SYMBOL_CRC(rdma_nl_multicast, 0x2546bc1c, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x6be3e0e8, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0xd561c992, "");
SYMBOL_CRC(rdma_roce_rescan_port, 0xe7770399, "");
SYMBOL_CRC(roce_del_all_netdev_gids, 0x34d3d356, "");
SYMBOL_CRC(ib_mr_pool_get, 0x7178fe32, "");
SYMBOL_CRC(ib_mr_pool_put, 0x8a22ce4f, "");
SYMBOL_CRC(ib_mr_pool_init, 0x59be924a, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0xb550c44d, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0xe9805b62, "");
SYMBOL_CRC(rdma_translate_ip, 0xf689a0d4, "");
SYMBOL_CRC(rdma_resolve_ip, 0xb117441b, "");
SYMBOL_CRC(rdma_addr_cancel, 0xc7bd3db0, "");
SYMBOL_CRC(ib_sa_register_client, 0x7c8b7816, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x43eb62e4, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x7cfb3fba, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x57dd6f6f, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x1756f325, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xcfcbeced, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x89d04116, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x33756d4d, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x3b239804, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x3f76ca47, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0xdf89a21a, "");
SYMBOL_CRC(ib_create_send_mad, 0xcc072f63, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x6f95893e, "");
SYMBOL_CRC(ib_free_send_mad, 0x658643de, "");
SYMBOL_CRC(ib_post_send_mad, 0x5e61c454, "");
SYMBOL_CRC(ib_free_recv_mad, 0x9a4779f8, "");
SYMBOL_CRC(ib_modify_mad, 0xd20705fa, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x0b522e40, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x2b06b1c1, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0xaae636f9, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0xc4f2d387, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x7edc6962, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x95368b99, "");
SYMBOL_CRC(rdma_link_register, 0xe50c0e95, "");
SYMBOL_CRC(rdma_link_unregister, 0x8047f3a6, "");
SYMBOL_CRC(rdma_restrack_count, 0x562f228f, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x3d2d5a63, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xeaefccd4, "");
SYMBOL_CRC(rdma_restrack_new, 0xccf619fa, "");
SYMBOL_CRC(rdma_restrack_add, 0x9b348007, "");
SYMBOL_CRC(rdma_restrack_get, 0x2a5b6588, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x899ab7d3, "");
SYMBOL_CRC(rdma_restrack_put, 0x9d30c245, "");
SYMBOL_CRC(rdma_restrack_del, 0x3bb54734, "");
SYMBOL_CRC(rdma_umap_priv_init, 0xf5a0a9e5, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x870266ed, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x5b28815d, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xda643c2b, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0x246cc023, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x1c3c1a4f, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xecd62be7, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0xc6c69f44, "");
SYMBOL_CRC(ib_create_qp_security, 0x06d87178, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x211d2588, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0xe36e886b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x92058702, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc936c540, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x81e3ab06, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc0950573, "netlink_kernel_release" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x943ceb0d, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5a3ed42a, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xaf19bc57, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x94bd4350, "xa_clear_mark" },
	{ 0xf168dc96, "bpf_trace_run1" },
	{ 0xc19797bc, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xeaedfe35, "_raw_write_unlock_irq" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x8f54ef5e, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0x4186ed1b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0x9b1a50da, "__neigh_event_send" },
	{ 0x85648838, "dev_printk_emit" },
	{ 0xf4bbe43d, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x290d10a5, "skb_trim" },
	{ 0xf3797ffb, "netdev_has_upper_dev_all_rcu" },
	{ 0x4b705841, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x78c4469d, "netdev_walk_all_upper_dev_rcu" },
	{ 0x3505b026, "bpf_trace_run3" },
	{ 0xf6939f5e, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4302e344, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3e7600a5, "neigh_destroy" },
	{ 0x730287d6, "kobject_del" },
	{ 0xe84fab7e, "trace_event_buffer_reserve" },
	{ 0x3c6cb8d6, "dma_map_sgtable" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc25fc6f, "param_ops_bool" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfa6bd85e, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa8857036, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xa9d347a9, "dev_get_by_name" },
	{ 0x4f8ac81, "netlink_ns_capable" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x902cd6a0, "dst_release" },
	{ 0x5abc668b, "kobject_uevent" },
	{ 0x8b0cfabf, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0xf2301826, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x64bd0c73, "vlan_dev_vlan_id" },
	{ 0xbb844d26, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xa1749d9d, "ipv6_chk_addr" },
	{ 0xa8fd90ac, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xfc04fb3f, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x39c17234, "netlink_has_listeners" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0xad241448, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6aec51a1, "get_net_ns_by_fd" },
	{ 0xb2dc8311, "class_register" },
	{ 0x27e2e008, "net_rwsem" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfe960d15, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xacceff4d, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xd7966a3, "rdmacg_try_charge" },
	{ 0x7dced2a0, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9b5544c8, "bpf_trace_run4" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xa34e5745, "__nlmsg_put" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7200e407, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb4eb1a12, "dev_set_name" },
	{ 0x705605a5, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc51314e1, "trace_raw_output_prep" },
	{ 0x42aaa69, "xa_get_mark" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xb7ba645a, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe3cbd7f6, "__trace_trigger_soft_disabled" },
	{ 0x519d7d78, "__kmalloc_node_noprof" },
	{ 0x481b97eb, "dma_unmap_page_attrs" },
	{ 0xe2c36dae, "trace_event_printf" },
	{ 0x58c4556, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9fe8490d, "sysfs_remove_groups" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x61f50ad2, "__xa_erase" },
	{ 0x66f5a9c7, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x85e5e224, "xas_find" },
	{ 0xd54153e0, "kobject_init" },
	{ 0x71c8d69e, "device_initialize" },
	{ 0x9092b09c, "__dynamic_ibdev_dbg" },
	{ 0xf58d14dc, "sysfs_create_groups" },
	{ 0x653f3443, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf185c880, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x1dafdbea, "in6_dev_finish_destroy" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x8b275cf3, "pcpu_hot" },
	{ 0xbf4990fb, "__netlink_kernel_create" },
	{ 0x75e4aa87, "bpf_trace_run2" },
	{ 0xd3983f75, "ip_route_output_flow" },
	{ 0x24824794, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x20c4604a, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xab79bcaa, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xb2223882, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6f08018, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2fb7a065, "_raw_write_lock_irq" },
	{ 0xdcc1f94b, "dev_driver_string" },
	{ 0x832df810, "trace_event_buffer_commit" },
	{ 0xc9f572cb, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1801c591, "dma_map_page_attrs" },
	{ 0x86d35482, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x16111c0, "put_device" },
	{ 0xb286b2e5, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x1163f6d3, "__alloc_skb" },
	{ 0xb3d3df56, "const_pcpu_hot" },
	{ 0x4eb716c2, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2f7e17c3, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc62303de, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0x9f567a35, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb8211f20, "perf_trace_run_bpf_submit" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x50446a4, "_dev_err" },
	{ 0x9083fb6e, "init_net" },
	{ 0xef08ccd1, "kobject_add" },
	{ 0xeed7fd81, "up_write" },
	{ 0x9f9bbc4f, "ipv6_stub" },
	{ 0x2136715e, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x21359f4d, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7fc74ce3, "sk_skb_reason_drop" },
	{ 0x97f34f0f, "netlink_unicast" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x84b634b6, "dev_get_by_index" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4782760F1B91A6CD7B9359C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
