#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0xc59254cb, "");
SYMBOL_CRC(prestera_device_unregister, 0xb3d7dcfb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x428c5094, "eth_type_trans" },
	{ 0x4b042561, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1801c591, "dma_map_page_attrs" },
	{ 0x85b5500, "napi_complete_done" },
	{ 0x579aba3b, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x5f13a960, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4156104c, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x1163f6d3, "__alloc_skb" },
	{ 0xcba3ed04, "switchdev_bridge_port_offload" },
	{ 0x90675b47, "flow_block_cb_incref" },
	{ 0xfb708f7b, "flow_rule_match_ports_range" },
	{ 0x50bd45f6, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfd698c8d, "free_fib_info" },
	{ 0x6da3e2d3, "flow_rule_match_basic" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x9f567a35, "vlan_dev_real_dev" },
	{ 0x864bc88d, "__dev_get_by_index" },
	{ 0x1712441a, "devlink_port_unregister" },
	{ 0x50446a4, "_dev_err" },
	{ 0x9083fb6e, "init_net" },
	{ 0x2136715e, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7fc74ce3, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe3a2e01b, "flow_block_cb_decref" },
	{ 0xc936c540, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xb94663dd, "napi_enable" },
	{ 0xb4565224, "register_netdev" },
	{ 0x71f329a7, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6e8d12d0, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x90ed952d, "rhashtable_walk_start_check" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa7b1eaff, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa5e2b6dc, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xceab9502, "idr_alloc_cyclic" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5e423590, "rhashtable_free_and_destroy" },
	{ 0x8484ec8f, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0x4186ed1b, "_dev_warn" },
	{ 0x8d17941a, "flow_rule_match_ports" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x1990465d, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x16f8ac50, "devlink_trap_report" },
	{ 0x9b1a50da, "__neigh_event_send" },
	{ 0xbf06862a, "flow_block_cb_alloc" },
	{ 0xd573af4b, "switchdev_handle_port_obj_add" },
	{ 0x1fe8514c, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb4bc512, "phylink_pcs_change" },
	{ 0xb28072f3, "__neigh_create" },
	{ 0x78c4469d, "netdev_walk_all_upper_dev_rcu" },
	{ 0x377f28ba, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xefc0d9bc, "phylink_ethtool_ksettings_set" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf1179c30, "alloc_netdev_dummy" },
	{ 0x3e7600a5, "neigh_destroy" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0x8bad6925, "br_multicast_enabled" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6256ec0, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb3103154, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xfa6bd85e, "netdev_master_upper_dev_get_rcu" },
	{ 0xc8418ceb, "devlink_traps_register" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0x6a232a1d, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc7abaed4, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7f9884c5, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9b084bdb, "devlink_priv" },
	{ 0x90d49f37, "devlink_port_register_with_ops" },
	{ 0xe2bc34d7, "netif_carrier_on" },
	{ 0x2a69eb76, "netdev_has_any_upper_dev" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xed90df9c, "devlink_trap_groups_register" },
	{ 0x9aae8ed4, "arp_tbl" },
	{ 0x5bfbb43f, "phylink_ethtool_ksettings_get" },
	{ 0x6de9a6f0, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x84397144, "netdev_walk_all_lower_dev" },
	{ 0x336466c, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xf73d9c8d, "napi_schedule_prep" },
	{ 0xf96ea37f, "__fib_lookup" },
	{ 0x4c4f2556, "napi_disable" },
	{ 0x805dfb67, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xccae2478, "devlink_trap_groups_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe1f8eff8, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x39cd779c, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x89e00613, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xee1a1461, "alloc_etherdev_mqs" },
	{ 0x8e51591, "netdev_lower_get_next" },
	{ 0x2dd5a410, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8c7982a4, "br_vlan_enabled" },
	{ 0xd89d3501, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x4a9605d0, "devlink_unregister" },
	{ 0xbb672ef7, "dma_pool_create" },
	{ 0x7200e407, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4c512250, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbe6153b6, "register_fib_notifier" },
	{ 0x4813499d, "l3mdev_fib_table_rcu" },
	{ 0x41cbf2d4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3032ef4e, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x727f5b0f, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x481b97eb, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xf680053d, "flow_rule_match_eth_addrs" },
	{ 0xa2c5ed13, "devlink_port_attrs_set" },
	{ 0xed62a1ce, "flow_block_cb_priv" },
	{ 0x688dbb73, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e148c1e, "devlink_alloc_ns" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xcae097ac, "devlink_register" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x8b275cf3, "pcpu_hot" },
	{ 0x7852a76d, "devlink_free" },
	{ 0x7d6ccd65, "netdev_warn" },
	{ 0x1d9b33d4, "flow_rule_match_ipv4_addrs" },
	{ 0xd5889b1e, "__netif_napi_del" },
	{ 0xb59da1fa, "rhashtable_walk_enter" },
	{ 0xb2afe419, "fib_table_lookup" },
	{ 0x309d962, "skb_pull_rcsum" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x77c2d247, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91600795, "pskb_expand_head" },
	{ 0xd4b4d5d5, "switchdev_handle_port_attr_set" },
	{ 0xb133e66e, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xdcc1f94b, "dev_driver_string" },
	{ 0xdcbbff3a, "dev_addr_mod" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "DEE6411BEDB481D2499FF15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
