#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0x4c1bc79a, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0xba0ca360, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0xb47b7797, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x1ad545a5, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0xed42724a, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x55ececfb, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0x3521dd66, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0xc53b2c36, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x4b978b02, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0xe00ca48d, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x0a0e506b, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0xd655ee3b, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x7f945d85, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xeb11e8e4, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x00c67e87, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0x2726194c, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x676eb2de, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0x8f0348f8, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0xc7a77662, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x39641319, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0xc9463dc2, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x4d86211c, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0x8f27680c, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xbca19d3b, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x7825447b, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x203c772b, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0xc7c123b4, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x859e5c4e, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0x477b6b19, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x28819532, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x02788654, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ce36b0e, "mt76_wcid_key_setup" },
	{ 0x50bd45f6, "_dev_info" },
	{ 0xf8012e54, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xefa300c5, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf82ca69f, "mt76_connac_mcu_sched_scan_req" },
	{ 0x30e57093, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0xd6da21e1, "mt76_connac_mcu_uni_add_bss" },
	{ 0x474398d7, "mt76_phy_dfs_state" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xa1427024, "wiphy_to_ieee80211_hw" },
	{ 0x7771a85, "debugfs_attr_read" },
	{ 0xe335aa80, "mt76_connac_mcu_hw_scan" },
	{ 0x8fd885c0, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x47762e73, "ieee80211_queue_delayed_work" },
	{ 0xd376c140, "mt76_eeprom_init" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb8211f20, "perf_trace_run_bpf_submit" },
	{ 0x50446a4, "_dev_err" },
	{ 0x2d3101a2, "simple_open" },
	{ 0x2136715e, "skb_pull" },
	{ 0xefef657e, "debugfs_create_file_unsafe" },
	{ 0xf83dacbb, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x4b75a39a, "simple_attr_release" },
	{ 0xea20f137, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd1c21337, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x652032cb, "mac_pton" },
	{ 0xbce36110, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc936c540, "skb_push" },
	{ 0x526e825b, "seq_putc" },
	{ 0x81e3ab06, "trace_event_reg" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x6653e84, "ieee80211_wake_queues" },
	{ 0x35f73df6, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6511cfff, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x68c395b7, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd93d0a25, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7708699a, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x36a50370, "mt76_connac_pm_dequeue_skbs" },
	{ 0x26240cb4, "mt76_connac_mcu_set_pm" },
	{ 0xf94b4d75, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xc411cb7b, "devm_hwmon_device_register_with_groups" },
	{ 0xb263cdda, "ieee80211_emulate_add_chanctx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xcfca7f33, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x962a7201, "debugfs_create_u32" },
	{ 0xe48c2ace, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x9b098ae4, "mt76_connac_mcu_start_patch" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x6814d8a4, "__SCK__tp_func_mac_txdone" },
	{ 0x1b0e7f2c, "mt76_sta_state" },
	{ 0xbb558d60, "ieee80211_ready_on_channel" },
	{ 0xe1d26707, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa496584d, "mt76_connac_mcu_del_wtbl_all" },
	{ 0xaf0642e9, "mt76_connac_mcu_init_download" },
	{ 0xdc635ab7, "devm_kasprintf" },
	{ 0x404f4881, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb7eee98c, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x66cfbe66, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x42ac03e5, "mt76_get_rate_power_limits" },
	{ 0xe84fab7e, "trace_event_buffer_reserve" },
	{ 0x111b47b, "ieee80211_sched_scan_results" },
	{ 0x6e5f08ab, "ieee80211_scan_completed" },
	{ 0xc32b794b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2be0d815, "mt76_insert_ccmp_hdr" },
	{ 0xfb9360f9, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc25fc6f, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x23759e69, "mt76_sw_scan_complete" },
	{ 0x574a043f, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbe79b140, "seq_write" },
	{ 0xe105af4b, "mt76_connac_mcu_start_firmware" },
	{ 0x2fe8bcb7, "____mt76_poll_msec" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x9023ce5a, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdeaf2a75, "mt76_connac_mcu_rdd_cmd" },
	{ 0x71951e96, "seq_printf" },
	{ 0x6dd2d181, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x11f494fd, "mt76_get_sar_power" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc8ef4cfd, "mt76_unregister_phy" },
	{ 0x800d4945, "debugfs_create_file_full" },
	{ 0x28bd94f1, "mt76_register_phy" },
	{ 0x9fab3fb1, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0x1d6f3909, "mt76_put_txwi" },
	{ 0x2638ec4e, "mt76_wcid_cleanup" },
	{ 0x4a7b2803, "ieee80211_radar_detected" },
	{ 0xc85970cb, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x7b6abb3b, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x6cca7f4f, "single_release" },
	{ 0xb03e44d, "mt76_sw_scan" },
	{ 0x905cac88, "mt76_queues_read" },
	{ 0x71c5f4, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xcabca4d5, "mt76_sta_pre_rcu_remove" },
	{ 0xf5f566e6, "mt76_register_debugfs_fops" },
	{ 0x50d12e54, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x1568b4fd, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x980edc6e, "mt76_connac_mcu_sta_ba" },
	{ 0x3a15f2a8, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0xdb27191a, "ieee80211_queue_work" },
	{ 0xf73d9c8d, "napi_schedule_prep" },
	{ 0x5abb728, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x98935b8, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x9bb0f51f, "__mt76_poll" },
	{ 0x6c061735, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x324350c2, "debugfs_create_u8" },
	{ 0xa31e107a, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xd32f2353, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbd5e5ee8, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9c58925a, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1457b54a, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x758289, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x674ed2f4, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xeaa979d4, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x9429f7ff, "mt76_update_channel" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0xf9eeebc6, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x4656d891, "mt76_connac_mcu_sta_tlv" },
	{ 0xe79730e9, "device_set_wakeup_enable" },
	{ 0xd977a6cf, "mt76_tx_worker_run" },
	{ 0x3e418a96, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2b74d8b, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe83fbfb8, "simple_attr_open" },
	{ 0x5425236b, "ieee80211_iterate_interfaces" },
	{ 0x3c8a5839, "debugfs_attr_write" },
	{ 0xc04c1a6, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x90343e0c, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x601f1fc1, "devm_kmalloc" },
	{ 0x7200e407, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd0372e6b, "firmware_request_nowarn" },
	{ 0x99b7232a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x148e3f24, "mt76_tx_status_skb_get" },
	{ 0xc51314e1, "trace_raw_output_prep" },
	{ 0xa48ab649, "mt76_tx_status_lock" },
	{ 0xe3cbd7f6, "__trace_trigger_soft_disabled" },
	{ 0xfc75474e, "mt76_connac_mcu_set_rts_thresh" },
	{ 0xb03396e7, "debugfs_create_u16" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xe9a27cc7, "ieee80211_free_hw" },
	{ 0x26acf9ee, "mt76_connac_mcu_set_channel_domain" },
	{ 0x7f8a442b, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x46c8ec46, "mt76_release_buffered_frames" },
	{ 0xda308cee, "request_firmware" },
	{ 0xe2c36dae, "trace_event_printf" },
	{ 0x91e02fd2, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf2808b18, "__tracepoint_mac_txdone" },
	{ 0x7deb038d, "mt76_connac_pm_wake" },
	{ 0x468a5f7e, "mt76_get_rate" },
	{ 0x58f1395f, "mt76_wake_tx_queue" },
	{ 0x64591b6e, "ieee80211_tx_status_ext" },
	{ 0x653f3443, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf1ebbeef, "mt76_connac_mcu_chip_config" },
	{ 0xdb0a96e7, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc6beae0, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x5dcee30c, "__mt76_tx_complete_skb" },
	{ 0x8b275cf3, "pcpu_hot" },
	{ 0x6dd3ef37, "seq_lseek" },
	{ 0x87695562, "mt76_set_stream_caps" },
	{ 0x3f1cda01, "ieee80211_emulate_change_chanctx" },
	{ 0x75e4aa87, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x648313c3, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x64e3d27b, "mt76_connac_mcu_update_arp_filter" },
	{ 0x80f1c870, "mt76_connac_mcu_set_vif_ps" },
	{ 0x20c4604a, "__dynamic_dev_dbg" },
	{ 0x8ea2ffc0, "mt76_mcu_rx_event" },
	{ 0x6abf4439, "mt76_alloc_phy" },
	{ 0x67d3f358, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x306f931e, "mt76_wcid_init" },
	{ 0x9e92fe88, "mt76_tx_status_check" },
	{ 0x3c69f049, "wake_up_process" },
	{ 0x50fef81a, "mt76_connac_free_pending_tx_skbs" },
	{ 0x606427d6, "skb_queue_purge_reason" },
	{ 0x2d4a497a, "mt76_connac_power_save_sched" },
	{ 0x832df810, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4ed5d3f4, "cfg80211_reg_check_beaconing" },
	{ 0xec042ef4, "ieee80211_send_bar" },
	{ 0xaf404ad4, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0xe8a00c90, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x42890037, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x5e458a7e, "mt76_tx" },
	{ 0x4156104c, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x1163f6d3, "__alloc_skb" },
	{ 0x4e365bcc, "mt76_connac_mcu_set_mac_enable" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "BFA5C4A2B785C8E0171317D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
