#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xe89b51ef, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xe351e721, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x50e4f5af, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xdedc2b10, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x226999d8, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x1cbaf531, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x4dfee5c5, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x9afe1b0b, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x24cbb64d, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x90fa0697, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x7c807122, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x9f0b2c6c, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x25adb2f5, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x26ca33a5, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0xcc167e75, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x20c0493d, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x9520fa2c, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xff3e5d66, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x88ef8e7b, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xa453a56d, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x657c6195, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x5a97489a, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xd429568b, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x98fb42f3, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x4f18f136, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x03c56a5a, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x020f3b18, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xc5be9b3f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x939c863d, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x87bc6bf3, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x100425d7, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xe19a294a, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x82b3b34a, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x23eab8d8, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xe577876a, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x1aff585c, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xfb96d2a4, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x2bf0f765, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x79c556c8, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x33d0d3f6, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x50f13d77, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xc58ae73c, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x580f3339, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x0aa3a11e, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x9d866ac7, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x4fcbee69, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0xb30e636a, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xb85fec48, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x57faad63, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x4ca61bcb, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0xddfa5376, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x72d40ce1, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xc0a799a5, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x9ffe9697, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x6ef3f6c3, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0xf7f5e6a7, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xa3559fa7, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x1b93deb3, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x35287db7, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xb04c0886, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xc9432bab, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x65b64ab2, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x3bd6acab, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xdc66cc70, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x7729473d, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xd8f3c3f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53569707, "this_cpu_off" },
	{ 0xcc1a8d28, "mt76_csa_check" },
	{ 0x1a36d12e, "mt76_tx_status_skb_add" },
	{ 0xf2808b18, "__tracepoint_mac_txdone" },
	{ 0xbcab143c, "mt76_tx_check_agg_ssn" },
	{ 0x64591b6e, "ieee80211_tx_status_ext" },
	{ 0xbbd1158c, "mt76_stop_tx_queues" },
	{ 0xb442c6ab, "___pskb_trim" },
	{ 0x653f3443, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5dcee30c, "__mt76_tx_complete_skb" },
	{ 0x8b275cf3, "pcpu_hot" },
	{ 0x6dd3ef37, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7bf9f7c1, "ieee80211_restart_hw" },
	{ 0x75e4aa87, "bpf_trace_run2" },
	{ 0x648313c3, "ieee80211_get_hdrlen_from_skb" },
	{ 0x8f9a7ec2, "kthread_park" },
	{ 0x8ea2ffc0, "mt76_mcu_rx_event" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x306f931e, "mt76_wcid_init" },
	{ 0x9e92fe88, "mt76_tx_status_check" },
	{ 0x3c69f049, "wake_up_process" },
	{ 0x832df810, "trace_event_buffer_commit" },
	{ 0x9ce79ffa, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x85b5500, "napi_complete_done" },
	{ 0x668668ed, "ieee80211_get_tx_rates" },
	{ 0xec042ef4, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x42890037, "debugfs_create_devm_seqfile" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x5e458a7e, "mt76_tx" },
	{ 0x4156104c, "__napi_schedule" },
	{ 0x43f692be, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3ce36b0e, "mt76_wcid_key_setup" },
	{ 0x50bd45f6, "_dev_info" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xefa300c5, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xddda579d, "kthread_unpark" },
	{ 0x474398d7, "mt76_phy_dfs_state" },
	{ 0xa1427024, "wiphy_to_ieee80211_hw" },
	{ 0x177a2b08, "mt76_init_queue" },
	{ 0x7771a85, "debugfs_attr_read" },
	{ 0xce20c8d9, "__mt76_sta_remove" },
	{ 0x8fd885c0, "mt76_tx_status_skb_done" },
	{ 0x47762e73, "ieee80211_queue_delayed_work" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb8211f20, "perf_trace_run_bpf_submit" },
	{ 0x50446a4, "_dev_err" },
	{ 0xb2783cf9, "debugfs_create_bool" },
	{ 0x2136715e, "skb_pull" },
	{ 0x4b75a39a, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3bc61f1a, "__SCK__tp_func_dev_irq" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc936c540, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb94663dd, "napi_enable" },
	{ 0x526e825b, "seq_putc" },
	{ 0x81e3ab06, "trace_event_reg" },
	{ 0x54a594af, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x6653e84, "ieee80211_wake_queues" },
	{ 0x35f73df6, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x20d117c1, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x7708699a, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x63905ee7, "mt76_set_irq_mask" },
	{ 0xf168dc96, "bpf_trace_run1" },
	{ 0xb56717f6, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x962a7201, "debugfs_create_u32" },
	{ 0x6814d8a4, "__SCK__tp_func_mac_txdone" },
	{ 0x7110f726, "mt76_seq_puts_array" },
	{ 0xe1d26707, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb5828cec, "__tracepoint_dev_irq" },
	{ 0x404f4881, "seq_read" },
	{ 0x8b89e570, "mt76_mcu_get_response" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xe84fab7e, "trace_event_buffer_reserve" },
	{ 0xc32b794b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc2daade7, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x574a043f, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbe79b140, "seq_write" },
	{ 0x2fe8bcb7, "____mt76_poll_msec" },
	{ 0x71951e96, "seq_printf" },
	{ 0xd90643b9, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x800d4945, "debugfs_create_file_full" },
	{ 0x2638ec4e, "mt76_wcid_cleanup" },
	{ 0x4a7b2803, "ieee80211_radar_detected" },
	{ 0x6cca7f4f, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x905cac88, "mt76_queues_read" },
	{ 0xf5f566e6, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xf73d9c8d, "napi_schedule_prep" },
	{ 0x4c4f2556, "napi_disable" },
	{ 0x805dfb67, "dev_kfree_skb_any_reason" },
	{ 0x9bb0f51f, "__mt76_poll" },
	{ 0x6c061735, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x324350c2, "debugfs_create_u8" },
	{ 0xa31e107a, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb24ece91, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0x3ab479c4, "mt76_dma_rx_poll" },
	{ 0x2b74d8b, "mt76_tx_status_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe83fbfb8, "simple_attr_open" },
	{ 0x3c8a5839, "debugfs_attr_write" },
	{ 0x601f1fc1, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x99b7232a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x41cbf2d4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x148e3f24, "mt76_tx_status_skb_get" },
	{ 0xc51314e1, "trace_raw_output_prep" },
	{ 0xa48ab649, "mt76_tx_status_lock" },
	{ 0xc75a5cc8, "skb_dequeue" },
	{ 0xe3cbd7f6, "__trace_trigger_soft_disabled" },
	{ 0xe2c36dae, "trace_event_printf" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "A8E6A73DBB78C6CA3E321A1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
