#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7925_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7925_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt7925_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7925_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_regval, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt7925_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(__mt7925_start, "_gpl", "");
KSYMTAB_FUNC(mt7925_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7925_ops, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7925_register_device, "_gpl", "");

SYMBOL_CRC(mt7925_mac_write_txwi, 0x9a2023c7, "_gpl");
SYMBOL_CRC(mt7925_txwi_free, 0x7cc7996d, "_gpl");
SYMBOL_CRC(mt7925_rx_check, 0xb90ff208, "_gpl");
SYMBOL_CRC(mt7925_queue_rx_skb, 0xbc3becdb, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_prepare_skb, 0xf220169b, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_complete_skb, 0x3bf09eeb, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_status_data, 0x599be3bd, "_gpl");
SYMBOL_CRC(mt7925_mcu_parse_response, 0x4c5f6e8f, "_gpl");
SYMBOL_CRC(mt7925_mcu_regval, 0x7ff01f00, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_deep_sleep, 0x5dba0a1a, "_gpl");
SYMBOL_CRC(mt7925_run_firmware, 0x399b92b2, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_eeprom, 0x8915eff4, "_gpl");
SYMBOL_CRC(mt7925_mcu_hw_scan, 0x668f49d6, "_gpl");
SYMBOL_CRC(mt7925_mcu_sched_scan_req, 0x56cf1fb6, "_gpl");
SYMBOL_CRC(mt7925_mcu_cancel_hw_scan, 0xfb575d14, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_channel_domain, 0x175e24ef, "_gpl");
SYMBOL_CRC(mt7925_mcu_fill_message, 0xc490dc9c, "_gpl");
SYMBOL_CRC(__mt7925_start, 0xbcbd5002, "_gpl");
SYMBOL_CRC(mt7925_roc_abort_sync, 0x2e54e903, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_add, 0xd9f9f6da, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_event, 0x5841abb5, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_remove, 0x5dbe0f71, "_gpl");
SYMBOL_CRC(mt7925_ops, 0x3b9b7ac3, "_gpl");
SYMBOL_CRC(mt7925_mac_init, 0x9b8a8b7b, "_gpl");
SYMBOL_CRC(mt7925_register_device, 0x568204a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x633d8144, "__alloc_pages_noprof" },
	{ 0xe8a00c90, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x42890037, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xd3d26de5, "mt792x_get_et_sset_count" },
	{ 0x20c547b8, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0xbad7bf26, "mt792x_init_acpi_sar_power" },
	{ 0x86b95a53, "mt792x_set_wakeup" },
	{ 0x3ce36b0e, "mt76_wcid_key_setup" },
	{ 0xab0a3d64, "mt76_connac_mcu_set_gtk_rekey" },
	{ 0x50bd45f6, "_dev_info" },
	{ 0x760a35c3, "skb_queue_tail" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xefa300c5, "mt76_rx" },
	{ 0x2debb575, "mt792x_load_firmware" },
	{ 0x46399830, "mt792x_get_et_stats" },
	{ 0xd6da21e1, "mt76_connac_mcu_uni_add_bss" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xa1427024, "wiphy_to_ieee80211_hw" },
	{ 0x7771a85, "debugfs_attr_read" },
	{ 0xdac68ca1, "mt792x_mac_link_bss_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8fd885c0, "mt76_tx_status_skb_done" },
	{ 0x47762e73, "ieee80211_queue_delayed_work" },
	{ 0x4cf9a21a, "devm_kmemdup" },
	{ 0xb78f4d31, "devm_kfree" },
	{ 0x50446a4, "_dev_err" },
	{ 0x2136715e, "skb_pull" },
	{ 0xc45a3754, "mt76_register_device" },
	{ 0x91b29b85, "mt792x_get_stats" },
	{ 0xf83dacbb, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x4b75a39a, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbce36110, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc936c540, "skb_push" },
	{ 0x526e825b, "seq_putc" },
	{ 0x6653e84, "ieee80211_wake_queues" },
	{ 0x35f73df6, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6511cfff, "ieee80211_beacon_get_template" },
	{ 0x7688206f, "mt792x_pm_stats" },
	{ 0x68c395b7, "mt76_eeprom_override" },
	{ 0x9367734f, "__put_devmap_managed_folio_refs" },
	{ 0xd93d0a25, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7708699a, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd3780496, "mt76_connac_get_he_phy_cap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf94b4d75, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xc411cb7b, "devm_hwmon_device_register_with_groups" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xf4a5e636, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x848980b8, "mt792x_get_tsf" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x1990465d, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x76c6c193, "mt792x_tx" },
	{ 0x50cb0614, "mt792x_get_et_strings" },
	{ 0x1b0e7f2c, "mt76_sta_state" },
	{ 0xbb558d60, "ieee80211_ready_on_channel" },
	{ 0xe1d26707, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdc635ab7, "devm_kasprintf" },
	{ 0x8b2987be, "mt792x_remove_interface" },
	{ 0x404f4881, "seq_read" },
	{ 0xa9c71e96, "mt76_connac3_mac_decode_he_radiotap" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf2e5658b, "mt76_connac2_mac_tx_rate_val" },
	{ 0xb7eee98c, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x245bec57, "mt792x_queues_read" },
	{ 0x8957f362, "mt792x_queues_acq" },
	{ 0x42ac03e5, "mt76_get_rate_power_limits" },
	{ 0x111b47b, "ieee80211_sched_scan_results" },
	{ 0x6e5f08ab, "ieee80211_scan_completed" },
	{ 0xc32b794b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2be0d815, "mt76_insert_ccmp_hdr" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc25fc6f, "param_ops_bool" },
	{ 0xbd7a4858, "mt792x_tx_stats_show" },
	{ 0x600c802d, "mt76_connac_mcu_set_suspend_mode" },
	{ 0x574a043f, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7293d043, "__folio_put" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71951e96, "seq_printf" },
	{ 0xe9fa9d27, "ieee80211_set_active_links_async" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x6dd2d181, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x11f494fd, "mt76_get_sar_power" },
	{ 0x5002c8e9, "mt76_connac_mcu_sta_he_tlv_v2" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x40503027, "mt792x_mac_init_band" },
	{ 0x800d4945, "debugfs_create_file_full" },
	{ 0xaa0d32ce, "mt76_skb_adjust_pad" },
	{ 0x1d6f3909, "mt76_put_txwi" },
	{ 0x2638ec4e, "mt76_wcid_cleanup" },
	{ 0xbdc786be, "mt792x_init_wiphy" },
	{ 0x7b6abb3b, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x6cca7f4f, "single_release" },
	{ 0x686ce84e, "mt76_connac3_mac_decode_eht_radiotap" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x905cac88, "mt76_queues_read" },
	{ 0xcabca4d5, "mt76_sta_pre_rcu_remove" },
	{ 0xf5f566e6, "mt76_register_debugfs_fops" },
	{ 0x3462fce7, "cfg80211_get_iftype_ext_capa" },
	{ 0xc3c6f8c4, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x1a32ef18, "__mt76_set_tx_blocked" },
	{ 0xdb27191a, "ieee80211_queue_work" },
	{ 0x1eddc45a, "mt792x_mac_reset_counters" },
	{ 0x7a3052f2, "napi_consume_skb" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x9bb0f51f, "__mt76_poll" },
	{ 0x6c061735, "mt76_rx_aggr_stop" },
	{ 0xa31e107a, "single_open" },
	{ 0xfdd75ba9, "mt76_connac_get_phy_mode" },
	{ 0x1457b54a, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0x5f254948, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x674ed2f4, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0xcae92c2a, "mt792x_init_wcid" },
	{ 0x55ade224, "mt792x_init_acpi_sar" },
	{ 0x3e418a96, "mt76_init_sar_power" },
	{ 0xe47905a8, "ieee80211_connection_loss" },
	{ 0x2b74d8b, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe83fbfb8, "simple_attr_open" },
	{ 0x5425236b, "ieee80211_iterate_interfaces" },
	{ 0x8a923775, "mt792x_stop" },
	{ 0x45c47fec, "mt76_connac_get_ch_power" },
	{ 0x3c8a5839, "debugfs_attr_write" },
	{ 0x601f1fc1, "devm_kmalloc" },
	{ 0x7200e407, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x60448777, "mt76_connac_get_phy_mode_v2" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x99b7232a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x148e3f24, "mt76_tx_status_skb_get" },
	{ 0xcb8f6ff5, "mt792x_tx_worker" },
	{ 0x15248bff, "mt792x_flush" },
	{ 0xa48ab649, "mt76_tx_status_lock" },
	{ 0x77628717, "mt792x_rx_get_wcid" },
	{ 0xc75a5cc8, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x7f8a442b, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x46c8ec46, "mt76_release_buffered_frames" },
	{ 0xda308cee, "request_firmware" },
	{ 0x91e02fd2, "mt76_get_txpower" },
	{ 0x7ef87a35, "mt76_connac_mcu_sta_uapsd" },
	{ 0x1a36d12e, "mt76_tx_status_skb_add" },
	{ 0x7deb038d, "mt76_connac_pm_wake" },
	{ 0x468a5f7e, "mt76_get_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x58f1395f, "mt76_wake_tx_queue" },
	{ 0x1a5c6cd1, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb0a96e7, "mt76_get_antenna" },
	{ 0x6491a806, "mt792x_set_coverage_class" },
	{ 0xe0252b6a, "mt792x_acpi_get_flags" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x5dcee30c, "__mt76_tx_complete_skb" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x6dd3ef37, "seq_lseek" },
	{ 0x87695562, "mt76_set_stream_caps" },
	{ 0xdda9d672, "mt792x_mac_assoc_rssi" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x648313c3, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0xb7d43f7a, "mt76_connac2_tx_check_aggr" },
	{ 0x20c4604a, "__dynamic_dev_dbg" },
	{ 0x8ea2ffc0, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x306f931e, "mt76_wcid_init" },
	{ 0x3c69f049, "wake_up_process" },
	{ 0x50fef81a, "mt76_connac_free_pending_tx_skbs" },
	{ 0xa167aab2, "mt792x_sta_statistics" },
	{ 0x606427d6, "skb_queue_purge_reason" },
	{ 0x2d4a497a, "mt76_connac_power_save_sched" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt792x-lib,mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "CD26CBC75E07524F5DA996B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
