#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_set_dev_groups, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_system_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_alloc_helper, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_free_helper, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0x4f939c53, "_gpl");
SYMBOL_CRC(teedev_close_context, 0xbe2f92ae, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0xd2a68b4e, "_gpl");
SYMBOL_CRC(tee_device_set_dev_groups, 0xf0db01fe, "_gpl");
SYMBOL_CRC(tee_device_register, 0x9e6d23d6, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0xb1ba325c, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0x8cb3d50e, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0xae895e67, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0xb3c34e8f, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0xc2e9e370, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x26d01d36, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0xd6a027f8, "_gpl");
SYMBOL_CRC(tee_client_system_session, 0x3f314579, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0x7e128cba, "_gpl");
SYMBOL_CRC(tee_bus_type, 0x909ae824, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0x9cc99435, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0x5c0820c8, "_gpl");
SYMBOL_CRC(tee_dyn_shm_alloc_helper, 0x1add935c, "_gpl");
SYMBOL_CRC(tee_dyn_shm_free_helper, 0x0d53c426, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0xfa280fef, "_gpl");
SYMBOL_CRC(tee_shm_free, 0x1d435faf, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0x410b9f61, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x2eb8714f, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x7c4f3091, "_gpl");
SYMBOL_CRC(tee_shm_put, 0x8e4ddd96, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0xf9a78592, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4320aa76, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x58439a52, "gen_pool_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6edaea, "cdev_device_add" },
	{ 0x3e5a95d6, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x16111c0, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb3d3df56, "const_pcpu_hot" },
	{ 0xc4831380, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb67b4438, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xd839b1c3, "bus_unregister" },
	{ 0x50446a4, "_dev_err" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x77ddc332, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2ebc0172, "crypto_shash_update" },
	{ 0x943ceb0d, "class_unregister" },
	{ 0x9367734f, "__put_devmap_managed_folio_refs" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x190a2bf6, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdf058127, "make_kgid" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8d82c2a9, "crypto_shash_final" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6e129203, "gen_pool_free_owner" },
	{ 0x7293d043, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0xb5203df2, "gen_pool_alloc_algo_owner" },
	{ 0x110f2199, "gen_pool_first_fit_align" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x79cfb346, "gen_pool_virt_to_phys" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xd750c2c8, "crypto_alloc_shash" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x849b8b76, "iov_iter_npages" },
	{ 0xb2dc8311, "class_register" },
	{ 0xf9fea617, "cdev_init" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0xb16daa49, "bus_register" },
	{ 0x7e7c2551, "class_find_device" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb4eb1a12, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x3e55dc6e, "gen_pool_create" },
	{ 0x8cc22c31, "cdev_device_del" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x9233c07b, "idr_replace" },
	{ 0x71c8d69e, "device_initialize" },
	{ 0xabc3294a, "unpin_user_pages" },
	{ 0xf185c880, "remap_pfn_range" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F990AB9E202D0939F5B8C9E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
