#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(proc_thermal_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_remove, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_suspend, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_resume, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_remove, "_gpl", "");

SYMBOL_CRC(proc_thermal_add, 0x813b55d3, "_gpl");
SYMBOL_CRC(proc_thermal_remove, 0x9d2d17b0, "_gpl");
SYMBOL_CRC(proc_thermal_suspend, 0x17a8b969, "_gpl");
SYMBOL_CRC(proc_thermal_resume, 0x6fc98f2b, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_add, 0x654ed3ef, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_remove, 0xcb67c0ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x37a0cba, "kfree" },
	{ 0x50446a4, "_dev_err" },
	{ 0x1936331f, "intel_tcc_set_offset" },
	{ 0x163a0165, "is_acpi_device_node" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xebadf156, "int340x_thermal_zone_add" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xab52ddd3, "sysfs_create_file_ns" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xb08fba76, "int340x_thermal_zone_remove" },
	{ 0xa1186518, "intel_tcc_get_tjmax" },
	{ 0x3c146b9, "sysfs_create_group" },
	{ 0xaf469180, "sysfs_remove_file_ns" },
	{ 0xd62400a9, "sysfs_remove_group" },
	{ 0x4186ed1b, "_dev_warn" },
	{ 0x5f198781, "pcim_iomap_regions" },
	{ 0xd5688032, "pcim_iomap_table" },
	{ 0x7e24d9db, "proc_thermal_wt_hint_add" },
	{ 0x2694f17d, "proc_thermal_rfim_add" },
	{ 0x325700a5, "proc_thermal_wt_req_add" },
	{ 0xcef10b8e, "proc_thermal_rapl_add" },
	{ 0xdaaad440, "proc_thermal_rfim_remove" },
	{ 0x98e82d4, "proc_thermal_rapl_remove" },
	{ 0x6d05232a, "proc_thermal_wt_hint_remove" },
	{ 0xfbc4dd2, "proc_thermal_wt_req_remove" },
	{ 0x20c4604a, "__dynamic_dev_dbg" },
	{ 0x5b529961, "thermal_zone_device_update" },
	{ 0x377f28ba, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xccfef8fd, "proc_thermal_power_floor_set_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2dd4e9dd, "proc_thermal_power_floor_get_state" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1465a5f3, "proc_thermal_read_power_floor_status" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c32aa7b, "intel_tcc_get_offset" },
	{ 0xdb0da161, "intel_tcc_get_temp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "int340x_thermal_zone,processor_thermal_wt_hint,processor_thermal_rfim,processor_thermal_wt_req,processor_thermal_rapl,processor_thermal_power_floor");


MODULE_INFO(srcversion, "1D4B87AA6FB26DBBAA8DF32");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
