#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xca7d2b3e, "");
SYMBOL_CRC(jbd2_journal_start, 0x08cd2492, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xd4fed5db, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x52ada9fc, "");
SYMBOL_CRC(jbd2__journal_restart, 0x89fef0f2, "");
SYMBOL_CRC(jbd2_journal_restart, 0x225ccd2c, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xd3640d22, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x871d4896, "");
SYMBOL_CRC(jbd2_journal_extend, 0x3506b53e, "");
SYMBOL_CRC(jbd2_journal_stop, 0x7c30c48d, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x7f6a51ae, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x2a102e7e, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x6b0fc14e, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xfd882bb5, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xfdabde39, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xc7ecc070, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x604cbd2f, "");
SYMBOL_CRC(jbd2_journal_forget, 0xce237a46, "");
SYMBOL_CRC(jbd2_journal_flush, 0x677c37ab, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x9dadbb7c, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x375de222, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x5c395871, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xb3775777, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x76d528e9, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xcb60ca45, "");
SYMBOL_CRC(jbd2_journal_load, 0xa5cce0f2, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xd2f2cdd1, "");
SYMBOL_CRC(jbd2_journal_abort, 0x4c9197b1, "");
SYMBOL_CRC(jbd2_journal_errno, 0x7c11d43a, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x5e4a2f3d, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xb05bb069, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x83169c14, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x8d3b9b77, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x043d546b, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x66b2dc6a, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xc0ece591, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x2b1b67e6, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x8873995c, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x01ced7db, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x610f4109, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x417b1318, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x55e2673f, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x10c6a66a, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x34f86f49, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x56a555cb, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x3c98663e, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x51ab0d61, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x6ff7c619, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x2426d95a, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xbe9cc43f, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x7186dff1, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x5fc499c6, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xb049f9be, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x4428bb03, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x8adaf6ee, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xd4526e4a, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xb8f55e51, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x0beb0e52, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe382311e, "shrinker_free" },
	{ 0x832df810, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x4320aa76, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b75263, "mutex_lock_io" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29061d98, "preempt_model_lazy" },
	{ 0x14941dd6, "try_to_free_buffers" },
	{ 0x67b7ebe0, "sync_blockdev" },
	{ 0x9d607b0e, "free_buffer_head" },
	{ 0xd6d8e62c, "shrinker_register" },
	{ 0xb3d3df56, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x30bd0047, "blk_finish_plug" },
	{ 0x2ab77010, "bdev_getblk" },
	{ 0x981bdb74, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xcafa21b8, "bit_waitqueue" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x67d80609, "__brelse" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb8211f20, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1604fc61, "__bh_read_batch" },
	{ 0x577525c2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0xd4946631, "__wait_on_buffer" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x516bfeae, "kmem_cache_free" },
	{ 0x2435274c, "__bh_read" },
	{ 0x81e3ab06, "trace_event_reg" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xbac6ec64, "blkdev_issue_zeroout" },
	{ 0xd2b1b821, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2ebc0172, "crypto_shash_update" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6dea27ae, "freezing_slow_path" },
	{ 0xf168dc96, "bpf_trace_run1" },
	{ 0x5b5f7894, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7a723ca, "kmem_cache_alloc_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xaaa0acc5, "__kmem_cache_create_args" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6dc71699, "kthread_create_on_node" },
	{ 0x3505b026, "bpf_trace_run3" },
	{ 0x404f4881, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x62511252, "unlock_buffer" },
	{ 0xe84fab7e, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe1ed9c9, "prepare_to_wait_exclusive" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x7293d043, "__folio_put" },
	{ 0x52d16693, "remove_proc_entry" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71951e96, "seq_printf" },
	{ 0xdfaf8154, "__lock_buffer" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x20ceaa7b, "truncate_inode_pages_range" },
	{ 0x1568997e, "blkdev_issue_flush" },
	{ 0x922351b5, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6c436b9e, "end_buffer_write_sync" },
	{ 0x4702a30a, "seq_open" },
	{ 0xc8b3072f, "bmap" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd750c2c8, "crypto_alloc_shash" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0xcf973da0, "kmem_cache_destroy" },
	{ 0x36b51b4b, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xea36a9de, "bh_uptodate_or_lock" },
	{ 0xbbfc1b1, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3a022ead, "blk_start_plug" },
	{ 0x9b5544c8, "bpf_trace_run4" },
	{ 0xae7f3d38, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd2c29b72, "folio_unlock" },
	{ 0x7e4a723f, "param_ops_ushort" },
	{ 0x3df74509, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc51314e1, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xceab5ddd, "bpf_trace_run6" },
	{ 0x80fe9e28, "mark_buffer_dirty" },
	{ 0xfbcf427b, "__find_get_block" },
	{ 0xe3cbd7f6, "__trace_trigger_soft_disabled" },
	{ 0xf6beebac, "filemap_fdatawrite_range" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xe2c36dae, "trace_event_printf" },
	{ 0x7b944a13, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9d0a98e6, "write_dirty_buffer" },
	{ 0x695b39d8, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x653f3443, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b5a3639, "iput" },
	{ 0x8b275cf3, "pcpu_hot" },
	{ 0x6dd3ef37, "seq_lseek" },
	{ 0x32875bf8, "blockdev_superblock" },
	{ 0x24109270, "proc_create_data" },
	{ 0x75e4aa87, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7c72c9cb, "bpf_trace_run8" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xa6b9b1a6, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9bf0e4de, "alloc_buffer_head" },
	{ 0x3c69f049, "wake_up_process" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6D49690D9F5AB7E80DCA60B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
