#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0xe980872f, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x2bb89b18, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x4117b5a6, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x17a52f80, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x4ec0ac3c, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x4737beeb, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0xf96ec68d, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x586c76ca, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xc07f4c9c, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xfee7fec3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f9bbc4f, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x93ef1a28, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7cf7d26e, "iptunnel_xmit" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc859aab6, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x290d10a5, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x98bfcb9b, "__dynamic_netdev_dbg" },
	{ 0x2fbcc1e, "dst_cache_get_ip4" },
	{ 0x57a8f173, "sock_create_kern" },
	{ 0x705664f2, "call_netdevice_notifiers" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8e2db9f3, "metadata_dst_alloc" },
	{ 0x902cd6a0, "dst_release" },
	{ 0xccf4a0b, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa5629e67, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9aaebcdf, "dst_cache_set_ip4" },
	{ 0x2c971beb, "kernel_bind" },
	{ 0x39731838, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x7d6ccd65, "netdev_warn" },
	{ 0x4297df50, "udp_tunnel_nic_ops" },
	{ 0xd3983f75, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5058CADAAA947D3980ECE6F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
