#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cs35l41_regmap_i2c, "_gpl", "");
KSYMTAB_DATA(cs35l41_regmap_spi, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_unlock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_lock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_otp_unpack, "_gpl", "");
KSYMTAB_FUNC(cs35l41_register_errata_patch, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_channels, "_gpl", "");
KSYMTAB_FUNC(cs35l41_init_boost, "_gpl", "");
KSYMTAB_FUNC(cs35l41_safe_reset, "_gpl", "");
KSYMTAB_FUNC(cs35l41_global_enable, "_gpl", "");
KSYMTAB_FUNC(cs35l41_mdsync_up, "_gpl", "");
KSYMTAB_FUNC(cs35l41_gpio_config, "_gpl", "");
KSYMTAB_FUNC(cs35l41_configure_cs_dsp, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_cspl_mbox_cmd, "_gpl", "");
KSYMTAB_FUNC(cs35l41_write_fs_errata, "_gpl", "");
KSYMTAB_FUNC(cs35l41_enter_hibernate, "_gpl", "");
KSYMTAB_FUNC(cs35l41_exit_hibernate, "_gpl", "");

SYMBOL_CRC(cs35l41_regmap_i2c, 0x2b028d09, "_gpl");
SYMBOL_CRC(cs35l41_regmap_spi, 0x9d578bd6, "_gpl");
SYMBOL_CRC(cs35l41_test_key_unlock, 0x5163c0ea, "_gpl");
SYMBOL_CRC(cs35l41_test_key_lock, 0x77ec9201, "_gpl");
SYMBOL_CRC(cs35l41_otp_unpack, 0x145b1f69, "_gpl");
SYMBOL_CRC(cs35l41_register_errata_patch, 0x38383b1d, "_gpl");
SYMBOL_CRC(cs35l41_set_channels, 0xc7adf243, "_gpl");
SYMBOL_CRC(cs35l41_init_boost, 0x1251270e, "_gpl");
SYMBOL_CRC(cs35l41_safe_reset, 0x389e86c7, "_gpl");
SYMBOL_CRC(cs35l41_global_enable, 0x3702074a, "_gpl");
SYMBOL_CRC(cs35l41_mdsync_up, 0x36c475ff, "_gpl");
SYMBOL_CRC(cs35l41_gpio_config, 0xe92ff6ad, "_gpl");
SYMBOL_CRC(cs35l41_configure_cs_dsp, 0xc2d1d817, "_gpl");
SYMBOL_CRC(cs35l41_set_cspl_mbox_cmd, 0x10d79000, "_gpl");
SYMBOL_CRC(cs35l41_write_fs_errata, 0x10ff141a, "_gpl");
SYMBOL_CRC(cs35l41_enter_hibernate, 0x3af00e74, "_gpl");
SYMBOL_CRC(cs35l41_exit_hibernate, 0x90a87516, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20c4604a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x50446a4, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1d97d51, "regmap_read" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3890447e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbb17b2db, "regmap_bulk_read" },
	{ 0x936f8a35, "regmap_update_bits_base" },
	{ 0xed84316, "regmap_multi_reg_write" },
	{ 0x110ecbf6, "regmap_register_patch" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4484ab1f, "kmalloc_caches" },
	{ 0x2e353e32, "regmap_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8C0FE5DE002EC302DD0C835");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
