#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_mf_sdca_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0xdbf008bb, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0xe91765db, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0x176e2492, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0x5cc68e08, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0xef6a7bd1, "");
SYMBOL_CRC(asoc_sdw_startup, 0x15fc46fc, "");
SYMBOL_CRC(asoc_sdw_prepare, 0x3793dbc2, "");
SYMBOL_CRC(asoc_sdw_trigger, 0x9006f679, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0x2b7b85e3, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0x1d8f0e8d, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0xb2912819, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0x58c8372f, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0x2f8cfe47, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0x0f1a0fdb, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0xd94e2129, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0x2c75708d, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0x97681b37, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0xf4ac62c2, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0x6fab0712, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0x58b6b6e6, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0x935b730f, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0x228550d6, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0x8e0d3ffc, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0x1a7174ba, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0x0130b22e, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0xa9dddee0, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0x79d78ceb, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0xf09eb8b5, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0x7d94f871, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0x311f70f6, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0xf50509c0, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0xbebea74f, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0x51dc1117, "");
SYMBOL_CRC(asoc_sdw_rt_mf_sdca_spk_rtd_init, 0x4f8e198e, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0xe820c044, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0x9027c09f, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0xe2ade94c, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0x845e532a, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0xa90c3d3a, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0x754f2625, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0x0d7c1988, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0x0384ff30, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0xf50c51d2, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0x1b18c82e, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0x0451fd9f, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0x994dac9b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x99b0d830, "snd_soc_dai_set_tdm_slot" },
	{ 0x6ba181a2, "snd_soc_dapm_enable_pin" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd5fb857d, "snd_soc_dapm_disable_pin" },
	{ 0xd6830e, "snd_soc_component_set_sysclk" },
	{ 0xe7b17c08, "snd_soc_dai_set_sysclk" },
	{ 0x20c4604a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb1f7eb42, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9bbe00ea, "snd_soc_component_set_jack" },
	{ 0x93bcc54a, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x16111c0, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd4e64d11, "fwnode_create_software_node" },
	{ 0x5f31c477, "snd_soc_dapm_get_pin_switch" },
	{ 0x9542f962, "sdw_disable_stream" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x50446a4, "_dev_err" },
	{ 0x1e6662ad, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0xa8156c84, "sdw_deprepare_stream" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4186ed1b, "_dev_warn" },
	{ 0xea0e3e53, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf43611bb, "device_remove_software_node" },
	{ 0xb1faeda9, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdc635ab7, "devm_kasprintf" },
	{ 0x81394bb, "snd_soc_card_jack_new_pins" },
	{ 0x5aaf1e0, "snd_soc_dai_set_pll" },
	{ 0xd57a02c6, "snd_soc_dapm_new_controls" },
	{ 0x62705df3, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb59204e8, "snd_soc_dapm_put_pin_switch" },
	{ 0xe792eb00, "device_match_name" },
	{ 0x549982c1, "snd_soc_dapm_info_pin_switch" },
	{ 0x38329000, "snd_soc_add_card_controls" },
	{ 0x137484ea, "device_add_software_node" },
	{ 0xcf4d01b6, "sdw_prepare_stream" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xb334c0fe, "sdw_bus_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x601f1fc1, "devm_kmalloc" },
	{ 0xb5f189b4, "to_software_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56f5ad2b, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd");


MODULE_INFO(srcversion, "66140113F3308BE7302AD98");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
